### Type of Change <!-- Required -->

<!-- Select one type by placing an 'X' inside the appropriate box, and delete all others. -->

- [ ] Bug Fix <!-- Fixes a user-facing issue -->
- [ ] Feature <!-- Adds new user-facing functionality -->
- [ ] Codebase Cleanup <!-- Developer-facing refactor or internal improvements -->
- [ ] Performance Improvement <!-- Optimizes speed, memory, or efficiency -->
- [ ] UI/UX Update <!-- Visual or interactive design changes -->
- [ ] Test Improvement <!-- Adds or updates automated tests -->
- [ ] Security Fix <!-- Fixes a vulnerability or improves security -->
- [ ] CI/CD or Build Config <!-- Updates to GitHub Actions, pipelines, or build tools -->
- [ ] Breaking Change <!-- Existing functionality will no longer work as expected -->
- [ ] Release <!-- Prepares a new MultiLauncher release -->
- [ ] Documentation Update Required <!-- Documentation needs updating -->

---

### Pre-Submission Checklist <!-- Required -->

- [ ] No existing [Pull Request](../../../pulls) for this change
- [ ] Descriptive commit message
- [ ] Self-reviewed the code
- [ ] Comments added where necessary
- [ ] No new warnings or errors introduced
- [ ] Changes made in a separate branch
- [ ] Branch named using prefix (e.g., `bug/`, `feat/`, `clean/`, `release/`)
- [ ] All user-facing text supports localization (if applicable)
- [ ] Updated documentation or relevant README sections (if applicable)
- [ ] Added screenshots or demo for UI changes (if applicable)

---

### Before Submitting Your Pull Request

- [ ] Clear and descriptive PR title <!-- Required -->
- [ ] Detailed summary of the changes made <!-- Required -->
- [ ] Linked relevant issue(s) using `Closes #XXXX` or `Fixes #XXXX` (if applicable)

---

### Summary of Changes

<!-- Provide a clear, concise overview of the changes in this PR, including context, motivation, and any dependencies. -->

#### Key Changes

1.
2.
3.

---

### Test Information <!-- Required -->

- **MultiLauncher Version:**
- **Device Name:**
- **Android Version:**
- **Other Notes:**
