# Changelog

All notable changes to this project will be documented in this file. See [conventional commits](https://www.conventionalcommits.org/) for commit guidelines.

## [Coming Soon](https://github.com/DroidWorksStudio/mLauncher/tree/HEAD)

### Implemented Enhancements:

- *(App)* Add app tagging functionality - ([ef356d6](https://github.com/DroidWorksStudio/mLauncher/commit/ef356d6cb67f33239abf5e76f458a78ad89c4ed0))
- *(Fonts)* Implement global font management and apply to all text views - ([988408e](https://github.com/DroidWorksStudio/mLauncher/commit/988408e098c06bba216e89b414f7eca9f573fa59))
- *(Settings)* Add "tag" option to context menu settings - ([32b3a69](https://github.com/DroidWorksStudio/mLauncher/commit/32b3a69c24e13a3535c1694d6b965dab642a910e))
- *(Settings)* Add Home Buttons customization - ([d855813](https://github.com/DroidWorksStudio/mLauncher/commit/d855813af9e9aab266570ffd8cceec2317789a05))
- *(Settings)* Add context menu customization - ([a7180c4](https://github.com/DroidWorksStudio/mLauncher/commit/a7180c41271bc8d8ee10d73a8093277c54fdc3fd))
- *(Settings)* Add download option for themes and wotd - ([8b06fc4](https://github.com/DroidWorksStudio/mLauncher/commit/8b06fc42e600aa0d5c56afe5aaaba3ad859ad225))
- *(UI)* Add action FAB to HomeFragment - ([d563b02](https://github.com/DroidWorksStudio/mLauncher/commit/d563b02d40103287ea402bb8daa78d88fdb19ef1))
- Use LockedBottomSheetDialog for improved stability - ([e79657d](https://github.com/DroidWorksStudio/mLauncher/commit/e79657d0a4fe6b3851d3038d8bb2bbe59c9ac4e3))

### Bug Fixes:

- *(Home)* Preserve color of action FAB - ([e5ec7e9](https://github.com/DroidWorksStudio/mLauncher/commit/e5ec7e968bfc92bf8a4eef2e452d81532c18a7ae))
- *(UI)* Prevent app crash on opening if prefs have corrupted flags - ([ac91b9f](https://github.com/DroidWorksStudio/mLauncher/commit/ac91b9f0f2c09d5665f88b4bbf004f05335a923b))
- Resolve crash on app drawer long press - ([0ff4506](https://github.com/DroidWorksStudio/mLauncher/commit/0ff4506c33bf420ee787e9cecc4d052bb55af83c))
- Prevent IndexOutOfBoundsException in flag settings dialog - ([78f8206](https://github.com/DroidWorksStudio/mLauncher/commit/78f8206386c3aa8e24d604f879f7cb6bb54506b0))

### Versioning:

- Increment version to 1.10.6 - ([e6f521d](https://github.com/DroidWorksStudio/mLauncher/commit/e6f521d38fde7b3024d2f10386e733a5c2b12758))

### Language Support:

- Updated Language Files. ([#790](https://github.com/DroidWorksStudio/mLauncher/issues/790)) - ([2e918c2](https://github.com/DroidWorksStudio/mLauncher/commit/2e918c26d3d3414cfa9926db2904be63d84c9cac))
- Updated Language Files. ([#785](https://github.com/DroidWorksStudio/mLauncher/issues/785)) - ([8d02d01](https://github.com/DroidWorksStudio/mLauncher/commit/8d02d01c1ec76eade7ce2f0379590d458281b968))
- Updated Language Files. ([#782](https://github.com/DroidWorksStudio/mLauncher/issues/782)) - ([6d1788c](https://github.com/DroidWorksStudio/mLauncher/commit/6d1788c823fec9341791fb12bed47d9fa0be135a))
- Updated Language Files. ([#781](https://github.com/DroidWorksStudio/mLauncher/issues/781)) - ([f9591cc](https://github.com/DroidWorksStudio/mLauncher/commit/f9591cc36a0b799bb93fd69326e65d7ccb98087d))

### Refactoring:

- Adjust context menu flag indices - ([f613906](https://github.com/DroidWorksStudio/mLauncher/commit/f6139060ee5df5d1c21e63fb2020134e9e9e9ee7))
- Move Font UI views to common component package - ([5f8e62c](https://github.com/DroidWorksStudio/mLauncher/commit/5f8e62c876fcf4db668c8fc70a52c4b3cede8222))
- Rename variable `flags` to `contextMenuFlags` - ([2c7f8da](https://github.com/DroidWorksStudio/mLauncher/commit/2c7f8da90ef6d4de4889577b3d7bd7f9119f9772))
- Rename flagOptionLabels to contextMenuOptionLabels - ([8186cf4](https://github.com/DroidWorksStudio/mLauncher/commit/8186cf420ba6f5b44c640da0e99a1e5e23b60c7d))
- Update URLs for theme and word of the day downloads - ([eb54eeb](https://github.com/DroidWorksStudio/mLauncher/commit/eb54eeb032dc1688bdfb64885179f2f3377dc6d6))

### Releases:

- Increment build number - ([d1bb86b](https://github.com/DroidWorksStudio/mLauncher/commit/d1bb86bb55a1083ea111808a0c9318af1f5fc177))

## [1.10.5.8](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.5.8) - (07, June 2025)

### Implemented Enhancements:

- *(Performance)* Use background thread for icon preloading - ([0a6b752](https://github.com/DroidWorksStudio/mLauncher/commit/0a6b752e495f95c0ed7de20a1e3e06791e9cdfcf))
- *(Settings)* Consolidate settings fragments into a single Compose screen - ([2ec390a](https://github.com/DroidWorksStudio/mLauncher/commit/2ec390a05bd9ddc58cc019ce36799468cb43cd96))
- Added experimental options - ([a3bb9e7](https://github.com/DroidWorksStudio/mLauncher/commit/a3bb9e73a2e326474980b000e410d5e3daada027))
- Implement custom toast notifications - ([55a79b8](https://github.com/DroidWorksStudio/mLauncher/commit/55a79b824880d1d065b5d778eb6f3a54b1d412af))
- Add descriptions to settings items - ([d6d00e4](https://github.com/DroidWorksStudio/mLauncher/commit/d6d00e4129c5934472928a657822356e0ffe32a1))
- Implement A-Z sidebar for app drawer - ([a7337d5](https://github.com/DroidWorksStudio/mLauncher/commit/a7337d5844c7d12971847486f53962c5316b7fb5))

### Bug Fixes:

- *(Issue Template)* Remove extra slash from mailto link - ([b68756b](https://github.com/DroidWorksStudio/mLauncher/commit/b68756bf1964dd2b2aae693c77ed32095ab1f4c7))
- Prevent app crash when custom font file is missing - ([628e0f2](https://github.com/DroidWorksStudio/mLauncher/commit/628e0f26d2a1d53456415aabc5686c21c6c4603b))
- Use locale for date/time formatting - ([42c2402](https://github.com/DroidWorksStudio/mLauncher/commit/42c2402f624d17347c73dc34f3a75cc362de9dc3))
- Lock to current orientation when lock is enabled - ([74388bc](https://github.com/DroidWorksStudio/mLauncher/commit/74388bca8ca35fe8ecd162b593e0c02f3b850385))
- Make "Set as Default Launcher" work on all devices - ([2ba9528](https://github.com/DroidWorksStudio/mLauncher/commit/2ba9528f815b100850de4552e5fd7baf55b4375a))

### Versioning:

- Increment build number - ([834db41](https://github.com/DroidWorksStudio/mLauncher/commit/834db410f64700c7c37ae26ff097bb091643eb6d))
- Increment build number - ([ee75aa2](https://github.com/DroidWorksStudio/mLauncher/commit/ee75aa24ea92f7f6758a5cd23795533e0e1cd65b))
- Update build version - ([3505161](https://github.com/DroidWorksStudio/mLauncher/commit/35051613b98a3e3192ec78b9b2cfc0328e55f678))

### Language Support:

- Updated Language Files. ([#779](https://github.com/DroidWorksStudio/mLauncher/issues/779)) - ([eb8886d](https://github.com/DroidWorksStudio/mLauncher/commit/eb8886d715b06e3460f423e77b68195f8ed1dfc0))
- Updated Language Files. ([#777](https://github.com/DroidWorksStudio/mLauncher/issues/777)) - ([6cd797f](https://github.com/DroidWorksStudio/mLauncher/commit/6cd797fd63036511ba5f20e7d5bed6e2708fc1f0))
- Updated Language Files. ([#776](https://github.com/DroidWorksStudio/mLauncher/issues/776)) - ([dbfa038](https://github.com/DroidWorksStudio/mLauncher/commit/dbfa03827b2fbf3255faf84fcbe837b862b7d340))
- Updated Language Files. ([#772](https://github.com/DroidWorksStudio/mLauncher/issues/772)) - ([214731e](https://github.com/DroidWorksStudio/mLauncher/commit/214731e37bd0afd7fec47e209e6f983d4986bc57))

### Documentation:

- Update PULL_REQUEST_TEMPLATE.md - ([4f09aa2](https://github.com/DroidWorksStudio/mLauncher/commit/4f09aa2314865b9a9acba97454f0b7441a04e8ef))
- Update issue template configuration - ([410ef3a](https://github.com/DroidWorksStudio/mLauncher/commit/410ef3a613e2233fa15b8c5d63a5b42531e257e3))

### Refactoring:

- Add migration for experimental options - ([9e27337](https://github.com/DroidWorksStudio/mLauncher/commit/9e27337587cf1195a6c3fda6bc23dd6853a4e035))
- Rename Experimental to Expert Settings - ([9a3cb0d](https://github.com/DroidWorksStudio/mLauncher/commit/9a3cb0d0f3d1256e072f09950211665c2e9f6ef0))
- Move "Lock orientation" and "Lock settings" to experimental - ([6c43778](https://github.com/DroidWorksStudio/mLauncher/commit/6c4377853349ce25166dee08481d50168a26d744))
- Migrate dialogs to Material Bottom Sheets - ([407f48e](https://github.com/DroidWorksStudio/mLauncher/commit/407f48e81276845ce0939200fb01d6367230f1a7))
- Adjust header text colors for light and dark themes - ([c393add](https://github.com/DroidWorksStudio/mLauncher/commit/c393adde8f837efc8a85d2ed2340151060830956))
- Adjust top margin for search bar in App Drawer - ([bd532c4](https://github.com/DroidWorksStudio/mLauncher/commit/bd532c427a1784f2bbdfb7655f42ec85914748a5))

## [1.10.5.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.5.4) - (03, June 2025)

### Versioning:

- Revert build number to previous value - ([51d2882](https://github.com/DroidWorksStudio/mLauncher/commit/51d2882edab8684986014b94b33468f730ae7beb))
- Bump app version to 1.10.5 build 3 - ([a66368a](https://github.com/DroidWorksStudio/mLauncher/commit/a66368afa3d40e4a8766ecc7fbab15a75e52ca1a))

### Feature Removal:

- Remove AZSidebar - ([63b17f0](https://github.com/DroidWorksStudio/mLauncher/commit/63b17f0933fcad3471b0f8b1deec884da76c05d5))

### Refactoring:

- Remove Show A-Z Sidebar string - ([fd15077](https://github.com/DroidWorksStudio/mLauncher/commit/fd15077ffc70a60c96d49b0f107d8385f1cba094))
- Update minSdk to 28 and related API changes - ([f038ccb](https://github.com/DroidWorksStudio/mLauncher/commit/f038ccbb4e2e41161d6339d9b6e38c9c0cbe4b36))

### Reverts:

- Revert build number to previous value - ([51d2882](https://github.com/DroidWorksStudio/mLauncher/commit/51d2882edab8684986014b94b33468f730ae7beb))

### Releases:

- Bump version to 1.10.5.4 - ([1e32ea7](https://github.com/DroidWorksStudio/mLauncher/commit/1e32ea7547d5a0c75f38067c49c20f3ac81d4c32))

## [1.10.5.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.5.1) - (30, May 2025)

### Implemented Enhancements:

- Lock orientation when requested - ([66396ef](https://github.com/DroidWorksStudio/mLauncher/commit/66396ef57352cdacbd22c21dfc73d7126fa73665))

### Bug Fixes:

- Use resValue for app name and version - ([bc236cc](https://github.com/DroidWorksStudio/mLauncher/commit/bc236cc2a9d54be872f468e412be2632db3be8fa))

### Refactoring:

- Change version type to production - ([d4f123e](https://github.com/DroidWorksStudio/mLauncher/commit/d4f123e68813a45a46c05343612ce56d393f1961))
- Use mainLayout for status bar padding - ([7d9e8d8](https://github.com/DroidWorksStudio/mLauncher/commit/7d9e8d80b9c5fce39fcb9731d132614d15f211c8))
- Replace View.visibility with isVisible - ([063b812](https://github.com/DroidWorksStudio/mLauncher/commit/063b8124a7a671a32b13adedb4eba81e57160c75))

### Releases:

- Increment build number - ([f18aea2](https://github.com/DroidWorksStudio/mLauncher/commit/f18aea2ba3f2ea80ad410edf53ffd3db6008cade))

## [1.10.5.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.5.0) - (29, May 2025)

### Implemented Enhancements:

- *(app)* Implement app pinning and refactor app list UI - ([ba877ea](https://github.com/DroidWorksStudio/mLauncher/commit/ba877ea3b4f134b62a4d89826db91b66c83e4610))

## [1.10.4.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.4.4) - (29, May 2025)

### Implemented Enhancements:

- Add support for alpha/beta version suffixes (Google Play) - ([f77b38e](https://github.com/DroidWorksStudio/mLauncher/commit/f77b38e781079e72e1661f9d12dec62f28b84512))
- Add pin/unpin functionality to app drawer - ([2131d87](https://github.com/DroidWorksStudio/mLauncher/commit/2131d87b1c6f3d419ec4f1a3aefd8215317a1d02))
- Display private space lock status - ([b0dd1ca](https://github.com/DroidWorksStudio/mLauncher/commit/b0dd1caa82f3dde61ecc24697746c372712e46b9))

### Bug Fixes:

- Correct default launcher text display - ([b4d6aac](https://github.com/DroidWorksStudio/mLauncher/commit/b4d6aacdf77c8c8dd88997b7e5bc27383084bbcf))
- Improve app list sorting and pinning - ([c395652](https://github.com/DroidWorksStudio/mLauncher/commit/c395652290c2d3066a3c5b0b144f85032bc9c123))
- Ensure AppDrawer is sorted on initial display - ([7ce257c](https://github.com/DroidWorksStudio/mLauncher/commit/7ce257c23fb505a1b7b6f3ff84f04354a65e7b39))
- Display app icons alongside work profile/private space indicators - ([98797b6](https://github.com/DroidWorksStudio/mLauncher/commit/98797b607ac6dd25a33750a8d9c8a53f9b3d701f))
- Correct paths for Gradle Wrapper validation workflow - ([db4068b](https://github.com/DroidWorksStudio/mLauncher/commit/db4068bd2c340d480bce34810d9bab90dc0f6236))
- Implement migration for malformed Message objects - ([a93e4ad](https://github.com/DroidWorksStudio/mLauncher/commit/a93e4ad9f06d306ed12eef49af192c1f3249795b))

### Language Support:

- Updated Language Files. ([#762](https://github.com/DroidWorksStudio/mLauncher/issues/762)) - ([8693610](https://github.com/DroidWorksStudio/mLauncher/commit/86936109f545c0f2786331c4dc9d2c35b55d950a))
- Updated Language Files. ([#761](https://github.com/DroidWorksStudio/mLauncher/issues/761)) - ([ee1f695](https://github.com/DroidWorksStudio/mLauncher/commit/ee1f695e8719bd237deae007373f0614574ee241))

### Refactoring:

- *(AppDrawerAdapter)* Improve app locking and filtering logic - ([1686618](https://github.com/DroidWorksStudio/mLauncher/commit/16866181f7bd3aea174f29ebbc0b588e125f5fef))
- *(AppDrawerAdapter)* Improve app locking and filtering logic - ([d105de5](https://github.com/DroidWorksStudio/mLauncher/commit/d105de5ceb52d32feabae55c5cdef70c36f39034))
- Move migration logic into a separate function - ([0e3446c](https://github.com/DroidWorksStudio/mLauncher/commit/0e3446c02d24813c98e14f915f061f036ac2af55))

### Releases:

- Increment build number - ([4d2c2a9](https://github.com/DroidWorksStudio/mLauncher/commit/4d2c2a9678f9a541c75df991523c590b0bbcd702))

## [1.10.4.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.4.1) - (25, May 2025)

### Language Support:

- Updated Language Files. ([#756](https://github.com/DroidWorksStudio/mLauncher/issues/756)) - ([961aedc](https://github.com/DroidWorksStudio/mLauncher/commit/961aedc489d908d4ddb194d755026b28f63d666d))

### Refactoring:

- Improve search bar UX and layout - ([ed8b13c](https://github.com/DroidWorksStudio/mLauncher/commit/ed8b13c013d7b96efe893a98e7764f15e2a367d0))
- Replace Gson with Moshi for JSON serialization/deserialization - ([031d2e9](https://github.com/DroidWorksStudio/mLauncher/commit/031d2e937249ef326b8dc7c5edfcc50dbfd9fada))
- Move "Clear Home App" logic to AppDrawerFragment - ([1639b35](https://github.com/DroidWorksStudio/mLauncher/commit/1639b35724164eeab72a38deedc8d6e6fec2a873))

## [1.10.4.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.4.0) - (23, May 2025)

### Implemented Enhancements:

- *(themes)* Add notes theming and new themes - ([dcb89ba](https://github.com/DroidWorksStudio/mLauncher/commit/dcb89bad1193defc6c69c7fc80858a42fcb9d2fb))
- Preload custom icon packs on app startup - ([4c863b7](https://github.com/DroidWorksStudio/mLauncher/commit/4c863b7b0c4bcf5c51dec35d07585d6454bf0a68))

### Chore:

- Configure git user for changelog workflow - ([b8e2813](https://github.com/DroidWorksStudio/mLauncher/commit/b8e281302fc65cad3d8234d78425b2b44127ba84))

### Feature Removal:

- Remove unused composeOptions and file suppression - ([8b3b59b](https://github.com/DroidWorksStudio/mLauncher/commit/8b3b59b2feffd25aa19551092b963a2bd41636dc))

### Refactoring:

- Remove GPG signing from changelog workflow - ([12d272f](https://github.com/DroidWorksStudio/mLauncher/commit/12d272f061afaec2a518968630ab30c2cfb42772))
- Remove unused composeOptions and file suppression - ([8b3b59b](https://github.com/DroidWorksStudio/mLauncher/commit/8b3b59b2feffd25aa19551092b963a2bd41636dc))
- Use ContentProvider for early app initialization - ([2dbc13f](https://github.com/DroidWorksStudio/mLauncher/commit/2dbc13f415518ef2abb4a2e6116e7d254051e47a))

### Releases:

- Bump version to 1.10.4 - ([7dc5c45](https://github.com/DroidWorksStudio/mLauncher/commit/7dc5c4532a3a63722d65a82957f62919ff41dd87))

## [1.10.3.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.3.4) - (21, May 2025)

### Implemented Enhancements:

- Clear icon cache on icon pack change - ([027d9c0](https://github.com/DroidWorksStudio/mLauncher/commit/027d9c058a78c05ed4453c519b521ffea9299539))
- Separate icon pack settings for Home and App List - ([20c6af2](https://github.com/DroidWorksStudio/mLauncher/commit/20c6af2dad89d26ffacb518163e54b9c6276f405))
- Add status bar padding and move handling - ([41b75e7](https://github.com/DroidWorksStudio/mLauncher/commit/41b75e78997a9e9738de0ecc5f47cfb0626eefd7))

### Continuous Integration (CI):

- Enforce checkout of `main` branch in workflows - ([002d430](https://github.com/DroidWorksStudio/mLauncher/commit/002d430549ee7fa509a7a04fabc2ee27eccb6bb1))

### Language Support:

- Updated Language Files. ([#752](https://github.com/DroidWorksStudio/mLauncher/issues/752)) - ([746c089](https://github.com/DroidWorksStudio/mLauncher/commit/746c0896993d43e63ceb451ebad3f00c9e6523d5))

### Refactoring:

- Improve app restarting logic - ([070d902](https://github.com/DroidWorksStudio/mLauncher/commit/070d9026b16a99ea07d4aafffca722f07b369082))

### Releases:

- Update build number from 3 to 4 - ([8e238f0](https://github.com/DroidWorksStudio/mLauncher/commit/8e238f0ac7908408cb7d4e1b024b3b3f377be20d))

## [1.10.3.3](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.3.3) - (20, May 2025)

### Implemented Enhancements:

- Add donation dialog and icons - ([10ce5fa](https://github.com/DroidWorksStudio/mLauncher/commit/10ce5faf343edb1f1fdd4b88d6a9607c1f07bca6))

### Language Support:

- Updated Language Files. ([#749](https://github.com/DroidWorksStudio/mLauncher/issues/749)) - ([18b823b](https://github.com/DroidWorksStudio/mLauncher/commit/18b823b61464772b995d8651456b560e9dc7be40))

### Refactoring:

- Apply display cutout padding and improve weather location handling - ([be441d0](https://github.com/DroidWorksStudio/mLauncher/commit/be441d06554331a00a6237bca525400457a615d3))
- Improve code readability in SystemUtils - ([f8c180b](https://github.com/DroidWorksStudio/mLauncher/commit/f8c180bdd4cc495dedb65e2dfec3306373983dc8))
- Improve code formatting and remove redundant code - ([bc122be](https://github.com/DroidWorksStudio/mLauncher/commit/bc122be9812b2dc6a2a60b102990ba04ea0afb55))

### Releases:

- Increment build number and add debug suffix - ([c6f4787](https://github.com/DroidWorksStudio/mLauncher/commit/c6f47870ef57cf5a2dc7cddcd2f3a9c7203f6d86))

## [1.10.3.2](https://github.com/DroidWorksStudio/mLauncher/tree/1.10.3.2) - (20, May 2025)

### Implemented Enhancements:

- *(release)* Update app icon and add feature graphic - ([6faf286](https://github.com/DroidWorksStudio/mLauncher/commit/6faf28619f92be62e1232ed339f6abc34ac9d852))
- *(settings)* Add 'Exit mLauncher' option to switch to default launcher temporarily ([#719](https://github.com/DroidWorksStudio/mLauncher/issues/719)) - ([794348a](https://github.com/DroidWorksStudio/mLauncher/commit/794348a514b845967079ebdfbb0a3e6444e0cff0))
- *(ui)* Enhance home screen with quick access bar, notes, and weather - ([6310e0f](https://github.com/DroidWorksStudio/mLauncher/commit/6310e0f7e56dee54621c47d3170dd3db077a8866))
- Add default_bottom_spacer dimension - ([76f7860](https://github.com/DroidWorksStudio/mLauncher/commit/76f786010beb18e0bef7d7352abf3e74999de228))

### Chore:

- Update project name from mLauncher to MultiLauncher - ([3a309a7](https://github.com/DroidWorksStudio/mLauncher/commit/3a309a717637acb42cc96850d3e44004cf3431e6))

### Language Support:

- Updated Language Files. ([#746](https://github.com/DroidWorksStudio/mLauncher/issues/746)) - ([5b9268b](https://github.com/DroidWorksStudio/mLauncher/commit/5b9268b76ffd33b5dde2ac27c12c7616b30b7f0f))

### Documentation:

- Update F-Droid metadata - ([73290d8](https://github.com/DroidWorksStudio/mLauncher/commit/73290d8ef97386f684316696564a3322508af664))

### Refactoring:

- Remove unused files and resources - ([930bac0](https://github.com/DroidWorksStudio/mLauncher/commit/930bac00c43ad076b00d9ffd592667d912303739))

## [1.8.9](https://github.com/DroidWorksStudio/mLauncher/tree/1.8.9) - (11, March 2025)

### Implemented Enhancements:

- Add biometric authentication for locked apps and enable locking apps from app drawer - ([12788fd](https://github.com/DroidWorksStudio/mLauncher/commit/12788fd3c7fc9f3ae530fb0c4b2705e4c1f35251))

### Bug Fixes:

- Default launcher text now disappears on click and properly sets as default. - ([cd98d0a](https://github.com/DroidWorksStudio/mLauncher/commit/cd98d0ae0100becde6568f8d0e5b49cd33764294))
- Removed UselessParent - ([c8662be](https://github.com/DroidWorksStudio/mLauncher/commit/c8662be2cfe7c3859da1d398d6858b8f6c4e5f94))
- Updated alarm formatting to use correct timezone and pattern - ([77bfc81](https://github.com/DroidWorksStudio/mLauncher/commit/77bfc814afe6c825f8ed5a1a557002ac6dd4ca23))
- More sane defaults. - ([d85be07](https://github.com/DroidWorksStudio/mLauncher/commit/d85be07a3fe1643a2f2f1d4471be7142b242f37c))
- Corrected missing spaces in some string names in settings - ([833272f](https://github.com/DroidWorksStudio/mLauncher/commit/833272fe2f1d8bb56a6d51bb51c885d3796b3c2e))
- Resolve all KTX extension function warnings - ([b5809cd](https://github.com/DroidWorksStudio/mLauncher/commit/b5809cd56a3b4fdcccaf89fce24d069a5c2d3633))
- Fixed some view models that had stopped working with a previous update. - ([38b8011](https://github.com/DroidWorksStudio/mLauncher/commit/38b8011603b6dc6f9792ec8692d52f26eb95a752))
- Pop back after app selection. - ([0729091](https://github.com/DroidWorksStudio/mLauncher/commit/07290914c7efc9a46c4a4c546ab2f9a4ff2e775e))

### Language Support:

- Updated Language Files. ([#696](https://github.com/DroidWorksStudio/mLauncher/issues/696)) - ([08da235](https://github.com/DroidWorksStudio/mLauncher/commit/08da235e9d1bc7db427ec242d7c6d1e64be3aada))
- Updated Language Files. ([#695](https://github.com/DroidWorksStudio/mLauncher/issues/695)) - ([6dc8dd0](https://github.com/DroidWorksStudio/mLauncher/commit/6dc8dd0ef96f288a50d8645763f80b4030479c4a))
- Updated Language Files. ([#693](https://github.com/DroidWorksStudio/mLauncher/issues/693)) - ([bf4f94e](https://github.com/DroidWorksStudio/mLauncher/commit/bf4f94e91517e3bede182dd07b1fb9fc2e97f17a))

### Refactoring:

- Removed junk Constants - ([9d7bd2a](https://github.com/DroidWorksStudio/mLauncher/commit/9d7bd2af3afae546b38362cdb3b61234123c154b))
- Cleaned up crash report subject. - ([433feda](https://github.com/DroidWorksStudio/mLauncher/commit/433feda0e0a67261e29242c0445e9b89f51b138e))
- Cleaned up class and function locations - ([bbeaeb5](https://github.com/DroidWorksStudio/mLauncher/commit/bbeaeb5464951495834d0d3e15ef758e6fcbf451))

### Releases:

- Prepare for version 10805 - ([502436f](https://github.com/DroidWorksStudio/mLauncher/commit/502436f3533724c5c30ae99e12ea227c4a064dda))

## [1.8.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.8.4) - (07, March 2025)

### Implemented Enhancements:

- Implement custom email-based crash reporting (replacing ACRA) - ([6943534](https://github.com/DroidWorksStudio/mLauncher/commit/694353455ffe2ee1b41eec170a7acb0175336093))
- Add edge panel menu displaying recently used apps. - ([039a642](https://github.com/DroidWorksStudio/mLauncher/commit/039a6425c163d3fb3c626da2c9a93aaaa2209a9f))
- Added a better logging system for crashes - ([3638233](https://github.com/DroidWorksStudio/mLauncher/commit/3638233207a46cb7e4654b2831e7a4c009969c99))
- Added the ability to import a Word of the day json file. - ([1985201](https://github.com/DroidWorksStudio/mLauncher/commit/1985201aafd0d1201733722e9f96bbcc94da8184))

### Bug Fixes:

- Adjusted Search Container margin to prevent it from touching the top of the screen. - ([3acd5a8](https://github.com/DroidWorksStudio/mLauncher/commit/3acd5a86a143e2daf15962b155fb20fbd710e66c))
- Fix the null word list - ([3fb3dfc](https://github.com/DroidWorksStudio/mLauncher/commit/3fb3dfcf961dc15955025b6a1aa3a656f27266e8))

### Feature Removal:

- Removed Edge Panels - ([7757a76](https://github.com/DroidWorksStudio/mLauncher/commit/7757a76318e66f0acbe7511d55ef2691386acbff))

### Language Support:

- Updated Language Files. ([#690](https://github.com/DroidWorksStudio/mLauncher/issues/690)) - ([8676c2f](https://github.com/DroidWorksStudio/mLauncher/commit/8676c2fd224a2e10f4f5417011276ac65360b26b))
- Updated Language Files. ([#687](https://github.com/DroidWorksStudio/mLauncher/issues/687)) - ([672ea1d](https://github.com/DroidWorksStudio/mLauncher/commit/672ea1df47486b8ab1d14165dc4a773085cb6654))
- Updated Language Files. ([#685](https://github.com/DroidWorksStudio/mLauncher/issues/685)) - ([f197259](https://github.com/DroidWorksStudio/mLauncher/commit/f197259eeabfaa1fb78d4705d9f37a37f3a61536))

### Refactoring:

- Cleaned up string file - ([e265ae8](https://github.com/DroidWorksStudio/mLauncher/commit/e265ae8961198c9fc64a88a407f157e9841f6544))
- Added systemGestureExclusionRects - ([346ac85](https://github.com/DroidWorksStudio/mLauncher/commit/346ac85594e2613d7f8b994aff0732ce91e52b06))
- Disable the edge panel by default. - ([219fcc3](https://github.com/DroidWorksStudio/mLauncher/commit/219fcc3b0a8080ecea194af6a4bc725c68ebdcb7))
- Improved margin application for home screen elements - ([3b5b7ca](https://github.com/DroidWorksStudio/mLauncher/commit/3b5b7ca42a961b8c51579e28728f57597377c2b5))
- Added a demo wordoftheday.json for imports - ([dba35b1](https://github.com/DroidWorksStudio/mLauncher/commit/dba35b13c7dd73999ca4e5ec18283b1787c2a540))
- Added the link for Google Play Store - ([6bff961](https://github.com/DroidWorksStudio/mLauncher/commit/6bff9619b7e743b4f5c04abea0c4a5158a7fbe63))

## [1.7.8](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.8) - (01, March 2025)

### Language Support:

- Updated Language Files. ([#681](https://github.com/DroidWorksStudio/mLauncher/issues/681)) - ([02dbc77](https://github.com/DroidWorksStudio/mLauncher/commit/02dbc77e83dcd26f8bc045c1261e5b9f4258d723))

### Refactoring:

- Cleaned up app draw. - ([26bb87c](https://github.com/DroidWorksStudio/mLauncher/commit/26bb87c80e9ad68922009d6cb132d22d49905c02))
- Added abb builds to the workflow for releases - ([87cbbc8](https://github.com/DroidWorksStudio/mLauncher/commit/87cbbc875cb52cc0ab4b156de938c744691742c1))

### Releases:

- Prepare for version 1.7.8 - ([5c31405](https://github.com/DroidWorksStudio/mLauncher/commit/5c314058b4c88ab7dc673b9c84aaab9f4f4f2ca1))

## [1.7.7](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.7) - (27, February 2025)

### Implemented Enhancements:

- Add page wrapping when scrolling home screen pages. - ([2427ccd](https://github.com/DroidWorksStudio/mLauncher/commit/2427ccd499f7355203990d37a036dde284434c40))
- Added Bank Gothic font. - ([bd5078d](https://github.com/DroidWorksStudio/mLauncher/commit/bd5078d24b8547052e4d4d3a8178f8993ca88833))

### Bug Fixes:

- Fixed the app crashing and having to clear all data if apps set to 0 - ([e03432f](https://github.com/DroidWorksStudio/mLauncher/commit/e03432fe3d0d21c6635c96bc337373f861c5bf6a))
- Fixed the detection of swipes on the home screen. - ([93ea551](https://github.com/DroidWorksStudio/mLauncher/commit/93ea55172296d86c47284d7bc5e3a00409e7fd5e))
- Fixed the reordering of apps in FavoriteFragment - ([da7c627](https://github.com/DroidWorksStudio/mLauncher/commit/da7c62764c15848bdc92cbcc23eadaa62be2ed6f))

### Feature Removal:

- Removed the old HomeAppsAdapter.kt - ([44e501d](https://github.com/DroidWorksStudio/mLauncher/commit/44e501d23dee5b4fdb2d6b9ef8ed3fc5e33c555d))

### Language Support:

- Updated Language Files. ([#679](https://github.com/DroidWorksStudio/mLauncher/issues/679)) - ([bc5885a](https://github.com/DroidWorksStudio/mLauncher/commit/bc5885aee631cacb33c2cdeed3e73ef396210634))
- Updated Language Files. ([#677](https://github.com/DroidWorksStudio/mLauncher/issues/677)) - ([fa09207](https://github.com/DroidWorksStudio/mLauncher/commit/fa092073ba90fee517d0204e706b418896670dc3))

### Refactoring:

- Cleaned useless commented out code - ([ac1705e](https://github.com/DroidWorksStudio/mLauncher/commit/ac1705ed23a68d0ce07d2eb375c6e0424cd14130))
- Changed the swipe distance thresholds - ([e0b95c4](https://github.com/DroidWorksStudio/mLauncher/commit/e0b95c42d1e06852777569f09a10341af1b62cfa))
- Cleaned up the Class files for Favorites - ([99340c6](https://github.com/DroidWorksStudio/mLauncher/commit/99340c6fa04a7acea30922e64961bff8298d0368))
- Cleaned up the share info. - ([ebaf2cc](https://github.com/DroidWorksStudio/mLauncher/commit/ebaf2cce8ec6532f107dbd1a66076f3b8a5f6422))
- Updated for Google Play Usage - ([87d7190](https://github.com/DroidWorksStudio/mLauncher/commit/87d719027be90930ffbe686883cb918821a64d92))
- Increased app drawer search bar max length from 20 to 50 - ([6027718](https://github.com/DroidWorksStudio/mLauncher/commit/6027718fd043c2621c099843ddf42517b535c502))

### Releases:

- Prepare for version 1.7.7 - ([1e5a9bf](https://github.com/DroidWorksStudio/mLauncher/commit/1e5a9bf74741129c2b6a9a0400a2ce59b2a36c59))

## [1.7.6](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.6) - (25, February 2025)

### Implemented Enhancements:

- Added dracula color theme for download. - ([212f783](https://github.com/DroidWorksStudio/mLauncher/commit/212f783770dae128202245fbf59126e9ffd83727))
- Added custom theme import and export. - ([a56e9a9](https://github.com/DroidWorksStudio/mLauncher/commit/a56e9a9531adf8c65b8d5a775cacf5a4897a10eb))

### Bug Fixes:

- Typo on the word `Click` - ([8ea6176](https://github.com/DroidWorksStudio/mLauncher/commit/8ea61765c32e4f87058ad1a6ab0d192c5150736a))
- Fixed usage time display - ([7eff169](https://github.com/DroidWorksStudio/mLauncher/commit/7eff169a1563605677bb4204aeb9ae523b26fa2f))

### Language Support:

- Updated Language Files. ([#672](https://github.com/DroidWorksStudio/mLauncher/issues/672)) - ([d86ad65](https://github.com/DroidWorksStudio/mLauncher/commit/d86ad65b055b33d3c6552d529c2d9ee6d153691e))

### Refactoring:

- Switched icons to Disabled by default. - ([7a9ab24](https://github.com/DroidWorksStudio/mLauncher/commit/7a9ab2457bfc39f522f1d8b834e22c530a1927f2))
- Added error handling to theme imports - ([00cc656](https://github.com/DroidWorksStudio/mLauncher/commit/00cc65632a7c7ea20cc127e4089da070baf34530))

### Releases:

- Prepare for version 1.7.6 - ([730efbd](https://github.com/DroidWorksStudio/mLauncher/commit/730efbd2287f19e15b967c8237c2b51cebda6245))

## [1.7.5](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.5) - (23, February 2025)

### Implemented Enhancements:

- Added app icon support for homescreen - ([2736339](https://github.com/DroidWorksStudio/mLauncher/commit/27363396c85dcc601336b1bccaf1a3ccfcb5eb47))
- Added Digital Wellbeing to the gesture settings - ([bb9ca59](https://github.com/DroidWorksStudio/mLauncher/commit/bb9ca59924fb76fd36dd72387a19251962a5c650))
- Add a button to the home screen that can be used as a gesture. - ([2ce7e52](https://github.com/DroidWorksStudio/mLauncher/commit/2ce7e520003248e5e84e61cfe4457d0950a94aa2))

### Bug Fixes:

- Fixed the setDefaultLauncher not displaying when its not the default launcher. - ([1d6db78](https://github.com/DroidWorksStudio/mLauncher/commit/1d6db780daa0ee46972b75cd96076da938bbdfa3))
- Work icons are now displaying again. - ([5040094](https://github.com/DroidWorksStudio/mLauncher/commit/5040094926720b9267d0d7695e37268c891f9f2f))

### Language Support:

- Updated Language Files. ([#670](https://github.com/DroidWorksStudio/mLauncher/issues/670)) - ([721d686](https://github.com/DroidWorksStudio/mLauncher/commit/721d68657da369708c2c19e38ab50e4107a1e733))
- Updated Language Files. ([#669](https://github.com/DroidWorksStudio/mLauncher/issues/669)) - ([fc57c1f](https://github.com/DroidWorksStudio/mLauncher/commit/fc57c1f0726c49c59e684b53b2e30bec390b2a4c))
- Updated Language Files. ([#668](https://github.com/DroidWorksStudio/mLauncher/issues/668)) - ([65f4722](https://github.com/DroidWorksStudio/mLauncher/commit/65f472201f6d2ac593cc1cfe8250672105e60f73))
- Updated Language Files. ([#667](https://github.com/DroidWorksStudio/mLauncher/issues/667)) - ([206046c](https://github.com/DroidWorksStudio/mLauncher/commit/206046c80512f7c850c9beb442ddc5e6211bc48e))

### Refactoring:

- Cleaned up the private space setting to display if locked or unlocked in the settings menu - ([d457b62](https://github.com/DroidWorksStudio/mLauncher/commit/d457b62cfcc8163acd2c81290c2185c8c4310747))
- Format fdroid page better. - ([ba26d05](https://github.com/DroidWorksStudio/mLauncher/commit/ba26d05d710a073b5e5beac7f94a22917d758209))

### Releases:

- Prepare for version 1.7.5 - ([f2f3ba6](https://github.com/DroidWorksStudio/mLauncher/commit/f2f3ba6482b30fe3acaf4fd3213d9357e41c5984))

## [1.7.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.4) - (23, February 2025)

### Bug Fixes:

- Fixed work profiles not working on versions below 32 - ([3ae0a3d](https://github.com/DroidWorksStudio/mLauncher/commit/3ae0a3dc0c046bbfcd078f1d3ed43f0168cd3e93))
- Fixed settings hidden for 3 button navigation mode. - ([f42fd07](https://github.com/DroidWorksStudio/mLauncher/commit/f42fd077431ace44418cbab2a0cc7160c59e28dc))

### Refactoring:

- Clean up RequiresApi to not use `VANILLA_ICE_CREAM` - ([3e1beb9](https://github.com/DroidWorksStudio/mLauncher/commit/3e1beb9eec15ab8659ef1fa81394de831f2b75ba))
- Cleaned up AppDetailsHelper to not require Calender. - ([66093cb](https://github.com/DroidWorksStudio/mLauncher/commit/66093cb8061b50ad779adf638e40b0a039fbe0e8))
- Cleaned up function not needed. - ([ca7c522](https://github.com/DroidWorksStudio/mLauncher/commit/ca7c5223abac8d99c83c5c7309a6a472478cfd7a))

### Releases:

- Prepare for version 1.7.4 - ([e42a378](https://github.com/DroidWorksStudio/mLauncher/commit/e42a378ab01ba9d013a2215ae34d554c9f0e238b))

## [1.7.3](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.3) - (22, February 2025)

### Implemented Enhancements:

- Added the start of Private Spaces - ([c072588](https://github.com/DroidWorksStudio/mLauncher/commit/c0725885150db50fcde1f742c1bb6c467823a695))
- Added a toggle to hide search text - ([5f91323](https://github.com/DroidWorksStudio/mLauncher/commit/5f91323708f31338880e4b2e900f7ced108ed43d))
- Added new fonts - ([3d005a8](https://github.com/DroidWorksStudio/mLauncher/commit/3d005a8bcf845a0d9bd5e08fe437849fd6602651))

### Bug Fixes:

- Fixed setting displaying on versions of android that can not use it. - ([ac197cb](https://github.com/DroidWorksStudio/mLauncher/commit/ac197cb8c1e0d3d3770c885bf3598ed1d4f75ea6))
- Fixed a few toggles to only display if child is correct. - ([fad1e73](https://github.com/DroidWorksStudio/mLauncher/commit/fad1e73d2f1c88d2a1cdd8fd797cc11cb48e5947))

### Language Support:

- Updated Language Files. ([#662](https://github.com/DroidWorksStudio/mLauncher/issues/662)) - ([57533c0](https://github.com/DroidWorksStudio/mLauncher/commit/57533c0f147b40771788bf1363c9793467c0a040))
- Updated Language Files. ([#658](https://github.com/DroidWorksStudio/mLauncher/issues/658)) - ([94914cb](https://github.com/DroidWorksStudio/mLauncher/commit/94914cbf32c0d51778bc9e54b5d4a7b9b40dd359))

### Refactoring:

- Moved private spaces to main settings - ([eb19330](https://github.com/DroidWorksStudio/mLauncher/commit/eb193306a2af2d095895ad888aae6892d2d9cdb1))
- Cleanup drawable colors - ([073c0bc](https://github.com/DroidWorksStudio/mLauncher/commit/073c0bc366a24b356ea1ed80d26995fbada32967))
- Cleaned up 35 dead languages ([#660](https://github.com/DroidWorksStudio/mLauncher/issues/660)) - ([a718674](https://github.com/DroidWorksStudio/mLauncher/commit/a7186748fa823bd40b8569fec2b2dbe07f01f20d))
- Cleanup wrong namespaces - ([edc7e2b](https://github.com/DroidWorksStudio/mLauncher/commit/edc7e2bdc9c7e980198f7b8a9b65ac38c67fd418))
- Updated Nerd Fonts - ([42729b4](https://github.com/DroidWorksStudio/mLauncher/commit/42729b4bce43614c1008abb7c2159c3022568421))

### Releases:

- Prepare for version 1.7.3 - ([8dd8f24](https://github.com/DroidWorksStudio/mLauncher/commit/8dd8f249680ffb367dffd961901559d4d5a5fb49))

## [1.7.2](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.2) - (15, February 2025)

### Implemented Enhancements:

- Added motivational word of the day to homescreen - ([d27012d](https://github.com/DroidWorksStudio/mLauncher/commit/d27012d7bed9cb99828f62a50e63a6410b2defde))
- Added next alarm clock to home screen. - ([0fcfddb](https://github.com/DroidWorksStudio/mLauncher/commit/0fcfddbbd155450e6ea4efb48f9415a6f40c3edd))
- Added the ability to change colors on the homescreen. - ([b34878c](https://github.com/DroidWorksStudio/mLauncher/commit/b34878cd9bb25eb4fdf539793d700adfebb92637))

### Bug Fixes:

- Fixed the queryUsageStats data. - ([13f3f5c](https://github.com/DroidWorksStudio/mLauncher/commit/13f3f5c31fc34244403f3a089b47efb3b6ffa5fa))
- Fixed the slider for pages to stay up to date. - ([3fa2fd7](https://github.com/DroidWorksStudio/mLauncher/commit/3fa2fd7fc8fea530198b8043e448258d00e55f34))
- Fixed the issue with size bars. - ([840d7a9](https://github.com/DroidWorksStudio/mLauncher/commit/840d7a9bd5f92baceac579dfa8cf77f41f342676))
- Fixed the Gesture system to show the right language - ([676897b](https://github.com/DroidWorksStudio/mLauncher/commit/676897b89625becc6f2aa3ed61f15dc5bd308a49))
- Fixed the Settings Text Size - ([12cfd69](https://github.com/DroidWorksStudio/mLauncher/commit/12cfd69dec712438aa741750738eb3103ae70e43))

### Language Support:

- Updated Language Files. ([#653](https://github.com/DroidWorksStudio/mLauncher/issues/653)) - ([e5d1a40](https://github.com/DroidWorksStudio/mLauncher/commit/e5d1a40cb85e143bbba9324eb6a23e1967a8cb67))
- Updated Language Files. ([#651](https://github.com/DroidWorksStudio/mLauncher/issues/651)) - ([681937d](https://github.com/DroidWorksStudio/mLauncher/commit/681937d763c1dda65aa04460b4fec00594803649))

### Refactoring:

- Updated the blacklist to remove junk from the list. - ([5bae059](https://github.com/DroidWorksStudio/mLauncher/commit/5bae05995b6e75f0211fddabcac9e433d21b33c3))
- Cleaned up page viewer to work with default font - ([b5c0103](https://github.com/DroidWorksStudio/mLauncher/commit/b5c0103d62ea0963d1e4dc0c33e3a2ed1469c489))
- Cleaned up the favorites page. - ([d4ab060](https://github.com/DroidWorksStudio/mLauncher/commit/d4ab06005d8b89598fa6b2f6f2281588ac0f5b96))
- Cleaned up the dialog building system. - ([aef27c2](https://github.com/DroidWorksStudio/mLauncher/commit/aef27c2c5173694efc32fb0165d14591bc4755a3))

### Releases:

- Prepare for version 1.7.2 - ([db9c8da](https://github.com/DroidWorksStudio/mLauncher/commit/db9c8dabfaca199ed94ee44e671895bbec5775ce))

## [1.7.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.1) - (12, February 2025)

### Implemented Enhancements:

- Added the new Gesture system. - ([e948dbb](https://github.com/DroidWorksStudio/mLauncher/commit/e948dbb7b8c8c28dee8fa8d9691c9b0e3e8ff055))
- Added a new settings system. - ([adbbf52](https://github.com/DroidWorksStudio/mLauncher/commit/adbbf52c1ada6a33a58e0d73619df36a6d030908))
- Added the ability to toggle settings. - ([739d82d](https://github.com/DroidWorksStudio/mLauncher/commit/739d82d6cc5c92b9d75cff0085d9ccd427988c71))

### Feature Removal:

- Custom Themes, Accent Color Toggle, - ([d18ad18](https://github.com/DroidWorksStudio/mLauncher/commit/d18ad18c6735ef40ac0e6a6b7bf3bbd473efc291))

### Language Support:

- Updated Language Files. ([#648](https://github.com/DroidWorksStudio/mLauncher/issues/648)) - ([280ad0c](https://github.com/DroidWorksStudio/mLauncher/commit/280ad0ca1be488128dab4cd2e0881debee0f7451))
- Updated Language Files. ([#646](https://github.com/DroidWorksStudio/mLauncher/issues/646)) - ([f90a0a4](https://github.com/DroidWorksStudio/mLauncher/commit/f90a0a49691dd61a090f0551c00bdab09664123a))

### Refactoring:

- Cleaned up the FastLane files - ([bed9bcc](https://github.com/DroidWorksStudio/mLauncher/commit/bed9bcc260e7e2c493c8cd93384bf75a082b3cdb))
- Cleaning Up Settings Part 2 - ([ddba550](https://github.com/DroidWorksStudio/mLauncher/commit/ddba5501c99ea9a3702d39762927c77aeeefcd51))
- Cleaning Up Settings Part 1 - ([48e493b](https://github.com/DroidWorksStudio/mLauncher/commit/48e493bac1e3a6b31e4500666f61301071648827))
- Moved around the settings - ([8ea6649](https://github.com/DroidWorksStudio/mLauncher/commit/8ea6649cd6d25a6e17f96e4e4c0219fc50655798))
- Cleaned up .gitignore - ([08b2f4c](https://github.com/DroidWorksStudio/mLauncher/commit/08b2f4cf1dda1ab27239300becb6289b88f12822))
- Cleaned up code and replaced deprecated code. - ([5b13384](https://github.com/DroidWorksStudio/mLauncher/commit/5b133844e59ef6cb7f72c0bc3a6ff711556a54b4))
- Trying out backup_rules.xml - ([7734b62](https://github.com/DroidWorksStudio/mLauncher/commit/7734b62a05cd0655edc669a1e549c4e5a1d651bb))

### Releases:

- Prepare for version 1.7.1 - ([e6b0ebc](https://github.com/DroidWorksStudio/mLauncher/commit/e6b0ebcdcafc39330824a5ebe79cda9afde00a38))

## [1.7.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.7.0) - (04, December 2024)

### Bug Fixes:

- Fixed the usage time - ([34a3e55](https://github.com/DroidWorksStudio/mLauncher/commit/34a3e55f76a5adc0f40123fccfaac1ed158c21c8))
- Fixed the battery still displayed when disabled. - ([e9a62d7](https://github.com/DroidWorksStudio/mLauncher/commit/e9a62d7aae46478b5a777a4879a7e9355b6fd979))

### Refactoring:

- Cleanup Favorites - ([cddfc27](https://github.com/DroidWorksStudio/mLauncher/commit/cddfc2737df16b342d08dfaedbb861ae4637c6fa))
- Moving functions about and added common functions - ([328786b](https://github.com/DroidWorksStudio/mLauncher/commit/328786bcad5a3a39ef924efccaed6017669c9d98))

### Releases:

- Prepare for version 1.7.0 - ([3d2e32a](https://github.com/DroidWorksStudio/mLauncher/commit/3d2e32a1c3ab40a17301f5efbea3f406d128adfa))

## [1.6.9](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.9) - (21, November 2024)

### Bug Fixes:

- Fixed the formatting of save buttons - ([f4cd15c](https://github.com/DroidWorksStudio/mLauncher/commit/f4cd15cec3100e594fcc35b63aa6f2cf9e3e063c))
- Fixed the usageStats times - ([d2930a6](https://github.com/DroidWorksStudio/mLauncher/commit/d2930a60674cfd8088cae484136ec8005e0ce7d0))

### Language Support:

- Updated Language Files. ([#634](https://github.com/DroidWorksStudio/mLauncher/issues/634)) - ([4f90f1e](https://github.com/DroidWorksStudio/mLauncher/commit/4f90f1e99e6487159e7706f9f3b6a0c03f4fa814))
- Updated Language Files. ([#633](https://github.com/DroidWorksStudio/mLauncher/issues/633)) - ([393b732](https://github.com/DroidWorksStudio/mLauncher/commit/393b732a3bcb5daa78455ddde59d013c87e5ae29))

### Refactoring:

- Removed roundToTwoDecimalPlaces - ([4b145ae](https://github.com/DroidWorksStudio/mLauncher/commit/4b145aee55822fc66708115c5247250c820f8184))
- Removed unused languages - ([30c74e8](https://github.com/DroidWorksStudio/mLauncher/commit/30c74e815191d9129b78957ac1e841221dbddb7c))
- Cleaned up HomeFragment - ([1aae3bd](https://github.com/DroidWorksStudio/mLauncher/commit/1aae3bd7acaea22f11e522eced44b2828d07bb36))
- Cleaned up the battery icon. - ([c6ee92e](https://github.com/DroidWorksStudio/mLauncher/commit/c6ee92e336024718eeba1bb489a68a28cbe875f0))
- Rename Favorite Apps - ([4aaab7c](https://github.com/DroidWorksStudio/mLauncher/commit/4aaab7c6e0334fa2e2935425386576fd9fe7e408))

### Releases:

- Prepare for version 1.6.9 - ([06c3ff3](https://github.com/DroidWorksStudio/mLauncher/commit/06c3ff3c640b9dee78ed96d44891937f4a43641b))

## [1.6.8](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.8) - (16, September 2024)

### Implemented Enhancements:

- Add ScrollView for reordering apps screen. - ([145909e](https://github.com/DroidWorksStudio/mLauncher/commit/145909efb113ec71104c4bc9cb29fab08c75dcf0))

### Bug Fixes:

- Fixed Workflows - ([a2a0eca](https://github.com/DroidWorksStudio/mLauncher/commit/a2a0eca2ee3b6d3c6dd8f2255ea335c2187a1ebc))

### Documentation:

- Update README.md ([#545](https://github.com/DroidWorksStudio/mLauncher/issues/545)) - ([7b110d4](https://github.com/DroidWorksStudio/mLauncher/commit/7b110d4f70d41274302a76c46d39865325ad192a))

### Refactoring:

- Updated the set default launcher script. - ([e409040](https://github.com/DroidWorksStudio/mLauncher/commit/e409040ee37e292829a7d64ab4990964e2fcf250))

### Reverts:

- Revert "chore(deps): bump org.jetbrains.kotlin.android from 1.8.10 to 2.0.10 …" ([#560](https://github.com/DroidWorksStudio/mLauncher/issues/560)) - ([9acef47](https://github.com/DroidWorksStudio/mLauncher/commit/9acef47d6317247a8275f5eff12058a7bf226a82))

## [1.6.7](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.7) - (30, July 2024)

### Bug Fixes:

- Prepare for version 1.6.7 - ([a4bae0e](https://github.com/DroidWorksStudio/mLauncher/commit/a4bae0e0fcd4e350fb2af41a4282dafc98ae76c8))

### Releases:

- Prepare for version 1.6.7 - ([a4bae0e](https://github.com/DroidWorksStudio/mLauncher/commit/a4bae0e0fcd4e350fb2af41a4282dafc98ae76c8))

## [1.6.5](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.5) - (29, July 2024)

### Bug Fixes:

- Fixed issue where backup was not doing numbers currently. - ([3a1ee1a](https://github.com/DroidWorksStudio/mLauncher/commit/3a1ee1ab9006649f27fdb97eaf15a4f926872469))

### Dependency Updates:

- Updated com.android.application and com.android.library - ([c6b9c56](https://github.com/DroidWorksStudio/mLauncher/commit/c6b9c5612580b79e48cd6ac7c189f41239a8ea08))

### Feature Removal:

- Removed Junk - ([f13a91f](https://github.com/DroidWorksStudio/mLauncher/commit/f13a91fec02c6788c09a867357cb7c15bf8f7dbc))

### Refactoring:

- Updated Patched Fonts - ([30157c5](https://github.com/DroidWorksStudio/mLauncher/commit/30157c575dced17377278b36aa4629c86339b562))
- Disable Script Fonts - ([bf02a6a](https://github.com/DroidWorksStudio/mLauncher/commit/bf02a6a9167140204fbc7b1d8882e39c1587e2c2))

### Reverts:

- Revert "Update TR Locales ([#529](https://github.com/DroidWorksStudio/mLauncher/issues/529))" ([#530](https://github.com/DroidWorksStudio/mLauncher/issues/530)) - ([e09d200](https://github.com/DroidWorksStudio/mLauncher/commit/e09d200f2962ecd63c81be6c09f1a67ec7c75a56))

### Releases:

- Prepare for version 1.6.6 - ([80d9711](https://github.com/DroidWorksStudio/mLauncher/commit/80d9711c2a423a0ee865f0a9569aad67b309e359))

## [1.6.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.4) - (07, July 2024)

### Implemented Enhancements:

- Added custom fonts and removed icon font toggle. - ([3e57981](https://github.com/DroidWorksStudio/mLauncher/commit/3e57981ddb55219b0805e42c8cea872ed84bfe51))

### Language Support:

- Updated Language Files. ([#526](https://github.com/DroidWorksStudio/mLauncher/issues/526)) - ([2b1ef39](https://github.com/DroidWorksStudio/mLauncher/commit/2b1ef39bfa51abeb2f2fbd508f7853ff052d1595))

## [1.6.3](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.3) - (04, July 2024)

### Dependency Updates:

- Updated depends. - ([862dbd0](https://github.com/DroidWorksStudio/mLauncher/commit/862dbd007fdc52f167f06205ba0cca76f0533743))

### Language Support:

- Updated Language Files. ([#524](https://github.com/DroidWorksStudio/mLauncher/issues/524)) - ([45777fd](https://github.com/DroidWorksStudio/mLauncher/commit/45777fd90caf5c06168f85a7d69c16f41683c20b))
- Updated Language Files. ([#523](https://github.com/DroidWorksStudio/mLauncher/issues/523)) - ([3f7f33b](https://github.com/DroidWorksStudio/mLauncher/commit/3f7f33be35d992d8804bd5a1915ab972ee529cac))

### Refactoring:

- Reword the email body for crash reports. - ([e24384a](https://github.com/DroidWorksStudio/mLauncher/commit/e24384a7e1c68f5e2dca5610d8725a70266b57bf))
- Added a better icon for reorder apps. - ([3b090dc](https://github.com/DroidWorksStudio/mLauncher/commit/3b090dcbc8638b67e02048934baa883d12e0406a))

## [1.6.2](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.2) - (26, May 2024)

### Implemented Enhancements:

- Added battery percentage click. - ([f2ef47f](https://github.com/DroidWorksStudio/mLauncher/commit/f2ef47fc2f4112cb59f575a9d05c942b3dc1658a))

### Bug Fixes:

- Fix the home screen from not being reloaded if not on home - ([e536fb5](https://github.com/DroidWorksStudio/mLauncher/commit/e536fb53f3dd1547a7ddd9198ad7d7953c74be42))

### Language Support:

- Updated Language Files. ([#507](https://github.com/DroidWorksStudio/mLauncher/issues/507)) - ([c28e754](https://github.com/DroidWorksStudio/mLauncher/commit/c28e7545dfa7a23b1dbcc0fa00de01b9388bb65f))

### Refactoring:

- Changed resetDefaultLauncher to better suit OEM - ([b701c18](https://github.com/DroidWorksStudio/mLauncher/commit/b701c18b76eb1dcea666c442c10bd9bb3cbab4af))

## [1.6.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.1) - (11, May 2024)

### Implemented Enhancements:

- Added intent for ACTION_POWER_USAGE_SUMMARY ([#504](https://github.com/DroidWorksStudio/mLauncher/issues/504)) - ([a19cf8b](https://github.com/DroidWorksStudio/mLauncher/commit/a19cf8b7f766fa86da42d270f13978e3e61f34cb))
- Added the ability to have more custom font sizes. - ([e7ed4ca](https://github.com/DroidWorksStudio/mLauncher/commit/e7ed4caecb869a1e7377d2c050f614d45eb421d0))
- Added the ability to hide times AM/PM. - ([48ed53e](https://github.com/DroidWorksStudio/mLauncher/commit/48ed53e2658cc7c974d1bb0f0d3dc62a4f0f48f4))
- Added the ability to hide battery icon. - ([e177b18](https://github.com/DroidWorksStudio/mLauncher/commit/e177b1845e2fa10b7641286ac299ffa0e23fdd69))

### Bug Fixes:

- Fixed the clock size so it now has a max size of 150 instead of 70. - ([a62886c](https://github.com/DroidWorksStudio/mLauncher/commit/a62886ca0c8ea8e15afe3310d21e16ff576fe9cd))

### Dependency Updates:

- Updated a few depends. - ([f822278](https://github.com/DroidWorksStudio/mLauncher/commit/f82227849de569fd0f73af63018d2e75c16e1f89))

### Language Support:

- Updated Language Files. ([#501](https://github.com/DroidWorksStudio/mLauncher/issues/501)) - ([2e951d6](https://github.com/DroidWorksStudio/mLauncher/commit/2e951d677f213608cdd8c2f38e36e006948542ba))
- Updated Language Files. ([#499](https://github.com/DroidWorksStudio/mLauncher/issues/499)) - ([34a40d9](https://github.com/DroidWorksStudio/mLauncher/commit/34a40d96a5eedadd7d5559513787c42c7de799c6))

## [1.6.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.6.0) - (05, May 2024)

### Bug Fixes:

- Check the total screen time is over 5 minutes. - ([a600069](https://github.com/DroidWorksStudio/mLauncher/commit/a600069e72e0db8a67468e887b88aef7b9a06975))

### Dependency Updates:

- Updated Gradle - ([dcb55be](https://github.com/DroidWorksStudio/mLauncher/commit/dcb55bedb9f83649d2956e0fcb3fde448cff69e2))

### Hotfixes:

- Updated !SheBang search functionality: - ([8bfcfc4](https://github.com/DroidWorksStudio/mLauncher/commit/8bfcfc48b76203cf337d136831bba6ee27aba981))

### Language Support:

- Updated Language Files. ([#494](https://github.com/DroidWorksStudio/mLauncher/issues/494)) - ([a1135de](https://github.com/DroidWorksStudio/mLauncher/commit/a1135debe45a43eca111288b8815b091721671ee))
- Updated Language Files. ([#493](https://github.com/DroidWorksStudio/mLauncher/issues/493)) - ([89e0ffa](https://github.com/DroidWorksStudio/mLauncher/commit/89e0ffae9273285b4889516661d94529ad5c3f61))

### Refactoring:

- Improved keyboard navigation and search functionality - ([d473265](https://github.com/DroidWorksStudio/mLauncher/commit/d473265f7644773da26e73202b104b55f4298e4e))

## [1.5.9](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.9) - (01, May 2024)

### Implemented Enhancements:

- Add onKeyDown handling for menu key press. - ([7d7cc3f](https://github.com/DroidWorksStudio/mLauncher/commit/7d7cc3f44865a01da6d8bbd86b44a0af79099776))

### Bug Fixes:

- Some color themes were not working. - ([3763b01](https://github.com/DroidWorksStudio/mLauncher/commit/3763b014fd7a19e1e5b1390989483a8c9b4e8d6f))

## [1.5.8](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.8) - (29, April 2024)

### Bug Fixes:

- Added the custom colors to the app draw too. - ([516eb12](https://github.com/DroidWorksStudio/mLauncher/commit/516eb12edb8ed2f0932c42b9a08f6447d3b813fd))
- Fixed Accent Colors When Disabled - ([e25ffa2](https://github.com/DroidWorksStudio/mLauncher/commit/e25ffa20afb6e4ffbb1c107a0ce36d905eb36ff8))

### Feature Removal:

- Removed unused strings - ([6de0b76](https://github.com/DroidWorksStudio/mLauncher/commit/6de0b761eb2ebf45e4566b7b05686b20576b0a2e))
- Removed Clutter from settings - ([c60bc9a](https://github.com/DroidWorksStudio/mLauncher/commit/c60bc9a946efcb0f214968c70f75fc106856969a))

## [1.5.7](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.7) - (28, April 2024)

### Bug Fixes:

- Fixed the background opacity when below 10. - ([ebe667c](https://github.com/DroidWorksStudio/mLauncher/commit/ebe667ccd0b766dc92705d43cc98e25f6ac8c6f3))
- Fixed BiometricManager for when feature phone is enabled. - ([33ca37f](https://github.com/DroidWorksStudio/mLauncher/commit/33ca37f5a0702a1736c8df9a2eb2599f571db121))

### Dependency Updates:

- Updated androidxTestKotlin - ([17492ec](https://github.com/DroidWorksStudio/mLauncher/commit/17492ecf3950ee06cc3268a56e9da42b0786a616))

## [1.5.6](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.6) - (28, April 2024)

### Implemented Enhancements:

- Add feature phone mode option - ([2042262](https://github.com/DroidWorksStudio/mLauncher/commit/20422622f4c0077e179db69787335ede2cba09d6))
- Added support for custom dark and light colors in app settings. - ([3d40055](https://github.com/DroidWorksStudio/mLauncher/commit/3d4005591bdd1eadac1a08605ac58045f6650b19))
- Add option to display app usage stats. - ([b2bc061](https://github.com/DroidWorksStudio/mLauncher/commit/b2bc061ec4c6c9a7e7a76152d0f5598baa73dddf))

### Bug Fixes:

- Fixed updateAppCountWithUsageStats to also allow feature phone buttons. - ([dc8c18c](https://github.com/DroidWorksStudio/mLauncher/commit/dc8c18c9b20b7312fc8e131d815cfd583363f092))
- Add key event handling and click listeners for feature phones - ([97818e5](https://github.com/DroidWorksStudio/mLauncher/commit/97818e571ab0d86b94c4701669a4fe7c8ae3173d))
- Better support for feature phones. - ([278ef1e](https://github.com/DroidWorksStudio/mLauncher/commit/278ef1e4d75058d1f8adb84f792fca69fcad0c4c))
- Fix receiver registration and unregistration in HomeFragment - ([935e2bb](https://github.com/DroidWorksStudio/mLauncher/commit/935e2bbea241751060b9512fabfef72c2a542c62))
- Fixed the ability for the launcher to ask for usage permission. - ([580a988](https://github.com/DroidWorksStudio/mLauncher/commit/580a988ae48032ba89dd780f5c9c2018ba579708))

### Language Support:

- Updated Language Files. ([#480](https://github.com/DroidWorksStudio/mLauncher/issues/480)) - ([4b381d9](https://github.com/DroidWorksStudio/mLauncher/commit/4b381d9fe0954fa1e3cabe135e70af3e30969a98))
- Updated Language Files. ([#477](https://github.com/DroidWorksStudio/mLauncher/issues/477)) - ([84ca97b](https://github.com/DroidWorksStudio/mLauncher/commit/84ca97bf4f368b5efdb6815777ffe066a364b072))

## [1.5.5](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.5) - (23, April 2024)

### Implemented Enhancements:

- Update time formatting based on system settings - ([e6b3939](https://github.com/DroidWorksStudio/mLauncher/commit/e6b393974e3b1b65d84e583b2255d40a10b370b7))
- Add timezone support for date and time formatting - ([8be6d1c](https://github.com/DroidWorksStudio/mLauncher/commit/8be6d1cbcb1ab35abfca0ae2af3d37913d55745d))
- Add visibility control for app rename layout in AppDrawerAdapter - ([dd4dbd5](https://github.com/DroidWorksStudio/mLauncher/commit/dd4dbd5a25bc02cba4e9dde73d2d4fd6fac56736))

### Bug Fixes:

- Correct search behavior in AppDrawerFragment - ([0d12eb5](https://github.com/DroidWorksStudio/mLauncher/commit/0d12eb54ee59fb9d4bfc202fe1284e93895cb449))
- Fixed the backup so backups have timestamps. - ([886a189](https://github.com/DroidWorksStudio/mLauncher/commit/886a1897a060a7548d02ed10c8832aab7f2d5daa))

### Feature Removal:

- Removed Debugging Code - ([94df035](https://github.com/DroidWorksStudio/mLauncher/commit/94df0352754675188045769d21b08a3f79f1c2af))

### Language Support:

- Updated Language Files. ([#468](https://github.com/DroidWorksStudio/mLauncher/issues/468)) - ([343596d](https://github.com/DroidWorksStudio/mLauncher/commit/343596dd8bbedf5e2f06080c06d340ec25b57e88))

## [1.5.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.4) - (18, April 2024)

### Bug Fixes:

- Fixed ISSUE_TEMPLATE - ([f520d5d](https://github.com/DroidWorksStudio/mLauncher/commit/f520d5db26f7e5d60a4d9fa67e19626ba7c65133))
- Ensure proper initialization of TextView objects in updateBatteryStatus() - ([939de4c](https://github.com/DroidWorksStudio/mLauncher/commit/939de4cd7ac48fe8a62c1f9d13f01e428bbc8b80))
- Fixed IllegalStateException when unregistering BatteryReceiver in onPause() - ([3cefa19](https://github.com/DroidWorksStudio/mLauncher/commit/3cefa19e2bc3a00729df839f4de215b769ec38b2))

### Language Support:

- Updated Language Files. ([#461](https://github.com/DroidWorksStudio/mLauncher/issues/461)) - ([6b427d4](https://github.com/DroidWorksStudio/mLauncher/commit/6b427d437977af25dcdc92d45d9576677551f055))

### Refactoring:

- Remove unused dependencies and notification-related configuration - ([ed2d732](https://github.com/DroidWorksStudio/mLauncher/commit/ed2d732582fb5388e5f1288537818323830c128a))
- Initialize prefs in attachBaseContext for timely initialization. - ([5a42051](https://github.com/DroidWorksStudio/mLauncher/commit/5a42051608a04ad472290f5ca5a5f8bd8356e45c))
- Improve ACRA configuration in Mlauncher.kt - ([52e1abb](https://github.com/DroidWorksStudio/mLauncher/commit/52e1abbb1f7f42dfed2223eb71924ad054a773c6))
- Refactor app settings and notification handling - ([2885e77](https://github.com/DroidWorksStudio/mLauncher/commit/2885e773140d4ae906fd50000e5616e31a43c886))

## [1.5.3](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.3) - (16, April 2024)

### Bug Fixes:

- Corrected the format of the time and date when focus mode is enabled. - ([1751ee5](https://github.com/DroidWorksStudio/mLauncher/commit/1751ee58dd275c9bd2020a28970fdba7831a76de))

### Chore:

- Move skip configuration to the top of commit_parsers - ([f62c48a](https://github.com/DroidWorksStudio/mLauncher/commit/f62c48a89671ce11d85b9b65179984045091cb05))

### Configuration Changes:

- Updating to include additional changelog categories for comprehensive tracking and documentation. - ([81bdfbb](https://github.com/DroidWorksStudio/mLauncher/commit/81bdfbbf1c092c2ba81de5048bdd1c8718b7bceb))

### Documentation:

- Update badges in README.md - ([03f7cfc](https://github.com/DroidWorksStudio/mLauncher/commit/03f7cfc1c42a72dd02e9195b17bbb8bb300b659f))

### Refactoring:

- Improve language tag retrieval in value function. - ([b83dd83](https://github.com/DroidWorksStudio/mLauncher/commit/b83dd836785fd1cea8564fb8a0afc1fdf5249eff))
- Removing redundant or unused code segments. - ([0312061](https://github.com/DroidWorksStudio/mLauncher/commit/0312061b1a327a6a27a5d73303403ea4a9a395d6))
- Revised maximum and minimum size constraints for clock display - ([4b35505](https://github.com/DroidWorksStudio/mLauncher/commit/4b35505653603b8b43f7d37b2255e7b70c219f41))

## [1.5.2](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.2) - (14, April 2024)

### Bug Fixes:

- Fixes #454 Clock size. - ([d66577d](https://github.com/DroidWorksStudio/mLauncher/commit/d66577dc2934f6fc979486840bed1e33637b1169))
- Fixed a few things, Crashing of app when searching hidden apps. Hidden apps couldn't be un hidden. - ([5b3f840](https://github.com/DroidWorksStudio/mLauncher/commit/5b3f8402065eb90c9966f9ef571f231fc1a66147))

### Language Support:

- Updated Language Files. ([#456](https://github.com/DroidWorksStudio/mLauncher/issues/456)) - ([b25032f](https://github.com/DroidWorksStudio/mLauncher/commit/b25032f82d0c11208904ed1968f06d8ca70f0783))
- Updated Language Files. ([#455](https://github.com/DroidWorksStudio/mLauncher/issues/455)) - ([740fdaa](https://github.com/DroidWorksStudio/mLauncher/commit/740fdaa52a8fb1d639e55c6431f2c759006dab5a))

## [1.5.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.1) - (11, April 2024)

### Refactoring:

- Improved app icon design by updating to a more visually appealing icon. - ([b902790](https://github.com/DroidWorksStudio/mLauncher/commit/b9027903c64d5ffec647c4008528073c21b44e51))

## [1.5.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.5.0) - (10, April 2024)

### Implemented Enhancements:

- Added a extra button for the Backup section of settings. - ([38fc111](https://github.com/DroidWorksStudio/mLauncher/commit/38fc1116150d6bbe45cc3d8ccb36ffea90956e07))
- Added Yahoo Brave and Bing search - ([e4db995](https://github.com/DroidWorksStudio/mLauncher/commit/e4db99569c750da974756188596ccfd5b36107b9))

### Chore:

- *(ci)* Updated FastLane - ([e541821](https://github.com/DroidWorksStudio/mLauncher/commit/e541821c3236ba8628c6c0b56f43353c023c03fb))

### Language Support:

- Updated Language Files. ([#442](https://github.com/DroidWorksStudio/mLauncher/issues/442)) - ([85ba73b](https://github.com/DroidWorksStudio/mLauncher/commit/85ba73b6c05309e7abfa2a4de3875efe987540ca))

### Refactoring:

- Eliminate duplicate entries in applist when adding a work profile - ([3aacf67](https://github.com/DroidWorksStudio/mLauncher/commit/3aacf6789f4547adc658029241a1945ed0496b02))

## [1.4.9](https://github.com/DroidWorksStudio/mLauncher/tree/1.4.9) - (09, April 2024)

### Implemented Enhancements:

- Added Search for Google, DuckDuckGo and Google Play Store - ([63eae1c](https://github.com/DroidWorksStudio/mLauncher/commit/63eae1c50e9435a9713d5da32da10bae00af12cc))
- Revamped the app context menu ([#438](https://github.com/DroidWorksStudio/mLauncher/issues/438)) - ([07952db](https://github.com/DroidWorksStudio/mLauncher/commit/07952dbab11e594c0ae74c94e3ac0ab153091a01))

### Bug Fixes:

- Fixed the fDroid app icon for next release. - ([82ba76b](https://github.com/DroidWorksStudio/mLauncher/commit/82ba76b61b53725f1c52346c9f07ea970bab7114))
- Added Quick Settings Bypass Back - ([50f9106](https://github.com/DroidWorksStudio/mLauncher/commit/50f9106787b294016c53c1fc2956132902853eb7))
- Updated Nerd Font - ([9335162](https://github.com/DroidWorksStudio/mLauncher/commit/9335162268a62a53ca677afe849367e4e936a0e7))

### Language Support:

- Updated Language Files. ([#437](https://github.com/DroidWorksStudio/mLauncher/issues/437)) - ([1d826d6](https://github.com/DroidWorksStudio/mLauncher/commit/1d826d6006e42a9dbba90c6a289501afe7c050eb))

## [1.4.8](https://github.com/DroidWorksStudio/mLauncher/tree/1.4.8) - (08, April 2024)

### Bug Fixes:

- Fixed the app list to not show duplicates when recent apps is enabled - ([1e8e037](https://github.com/DroidWorksStudio/mLauncher/commit/1e8e037ce0544538ae033e75b3f36b759b152e97))
- Fixed the backup system as it was not working. - ([554878b](https://github.com/DroidWorksStudio/mLauncher/commit/554878b3ec7482874a29d57c26be07b2b34c81cb))

## [1.4.7](https://github.com/DroidWorksStudio/mLauncher/tree/1.4.7) - (06, April 2024)

### Bug Fixes:

- Fixed RENAME from displaying in all list areas of the app. - ([5e8add8](https://github.com/DroidWorksStudio/mLauncher/commit/5e8add8240496d2ddd913f078efc2474ec1eea35))

### Language Support:

- Updated Language Files. ([#424](https://github.com/DroidWorksStudio/mLauncher/issues/424)) - ([dd4b374](https://github.com/DroidWorksStudio/mLauncher/commit/dd4b3741b111e561c50e5170199cff2bdd958f0e))

### Releases:

- Update the Release version to 147 (v1.4.7) - ([cc02343](https://github.com/DroidWorksStudio/mLauncher/commit/cc023438fd2bc11163c6ab97e6e5e09637bc9518))

## [1.4.6](https://github.com/DroidWorksStudio/mLauncher/tree/1.4.6) - (03, April 2024)

### Implemented Enhancements:

- Added Backup / Restore Feature - ([3837bfe](https://github.com/DroidWorksStudio/mLauncher/commit/3837bfe933477ba9ce824c564579b7a710b727f8))
- Added a home screen pager (disabled by default) - ([52a2a83](https://github.com/DroidWorksStudio/mLauncher/commit/52a2a83aa939590e91af2de86cedf906f295640d))

### Bug Fixes:

- Allow HomeScreen apps to be set to 0 - ([c7c5c4e](https://github.com/DroidWorksStudio/mLauncher/commit/c7c5c4e04810c9b309d8101a834e4fe9a2953052))

### Language Support:

- Updated Language Files. ([#419](https://github.com/DroidWorksStudio/mLauncher/issues/419)) - ([9c32a57](https://github.com/DroidWorksStudio/mLauncher/commit/9c32a57a9b59a571dab6df9563a4394ffd92bf08))
- Updated Language Files. ([#418](https://github.com/DroidWorksStudio/mLauncher/issues/418)) - ([9bb60d5](https://github.com/DroidWorksStudio/mLauncher/commit/9bb60d552eeae70886a564a57d82f87445828601))

### Documentation:

- Update CHANGELOG.md - ([d1343ee](https://github.com/DroidWorksStudio/mLauncher/commit/d1343ee010a08af7aee04732c214aab22da077f8))

### Refactoring:

- Cleaned up code adding permission request - ([666d2e7](https://github.com/DroidWorksStudio/mLauncher/commit/666d2e7d7f3520c2287673d1274bcc95b851de99))

## [1.4.5](https://github.com/DroidWorksStudio/mLauncher/tree/1.4.5) - (02, April 2024)

### Implemented Enhancements:

- Added `please_select_app` to the home screen apps ([#411](https://github.com/DroidWorksStudio/mLauncher/issues/411)) - ([3c22473](https://github.com/DroidWorksStudio/mLauncher/commit/3c2247301b988f9de3a01083b19b624c3dca8e3d))

### Bug Fixes:

- Fixed the reorder settings ([#416](https://github.com/DroidWorksStudio/mLauncher/issues/416)) - ([06ebd4a](https://github.com/DroidWorksStudio/mLauncher/commit/06ebd4a483a1e97b9dff58eeed9ebea2292b767d))
- Fix namespace for the project - ([3434ff3](https://github.com/DroidWorksStudio/mLauncher/commit/3434ff35d1da1c2f047fcda9a650f9ec134895ff))
- Fixed FUNDING.yml - ([edff6c2](https://github.com/DroidWorksStudio/mLauncher/commit/edff6c2a90e3d00b644442c9f670bbfc8faa5a2e))

### Chore:

- Update changelog.yml - ([4948ec8](https://github.com/DroidWorksStudio/mLauncher/commit/4948ec8db3ba701d6945174b13c032b8df35b0f7))
- Added App Details - ([26894e6](https://github.com/DroidWorksStudio/mLauncher/commit/26894e6c0e3af13d6af7fcc32aaa2ec49e1a9748))
- Changed App Icon - ([c5ba89f](https://github.com/DroidWorksStudio/mLauncher/commit/c5ba89f92e4cbe20914ee0429abc3f430f8fdcc8))
- Rename finder to FuzzyFinder - ([d650e2b](https://github.com/DroidWorksStudio/mLauncher/commit/d650e2b0c36aaa0a7485851ed001d0cf4901254f))

### Documentation:

- Update CHANGELOG.md - ([2fa9cce](https://github.com/DroidWorksStudio/mLauncher/commit/2fa9cce971c5e8b26c655beea31d008e5245f887))

### Releases:

- Update the Release version to 145 (v1.4.5) - ([9212a94](https://github.com/DroidWorksStudio/mLauncher/commit/9212a9485fb5dba0e6bde9de5452202f14a18353))
- Update the Release version to 144 (v1.4.4) - ([603a5fe](https://github.com/DroidWorksStudio/mLauncher/commit/603a5fee1a45976fc49445fdf2902a4be2a705ff))

## [1.4.3](https://github.com/DroidWorksStudio/mLauncher/tree/1.4.3) - (24, March 2024)

### Bug Fixes:

- Bug fix/fixed the swipe gestures ([#392](https://github.com/DroidWorksStudio/mLauncher/issues/392)) - ([1da6e7f](https://github.com/DroidWorksStudio/mLauncher/commit/1da6e7ffa18800602ad5b228b389b88e5e47a7f8))

### Feature Removal:

- Remove Junk Depends - ([ee96bcd](https://github.com/DroidWorksStudio/mLauncher/commit/ee96bcdc588fa36e60776210833f64b7865c2024))
- Removed Backup/Restore - ([749f4f0](https://github.com/DroidWorksStudio/mLauncher/commit/749f4f0c5b345da87ceb2e886e703e36dc0703d6))

## [1.4.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.4.1) - (21, March 2024)

### Feature Removal:

- Removed Clean from variable name - ([0d524d7](https://github.com/DroidWorksStudio/mLauncher/commit/0d524d750737046e71df52ea09bcea5d067e0c1e))
- Removed the need for extra variable that wasn't needed and cleaned up some others - ([0d524d7](https://github.com/DroidWorksStudio/mLauncher/commit/0d524d750737046e71df52ea09bcea5d067e0c1e))
- Remove Annoying Icon - ([ac6735b](https://github.com/DroidWorksStudio/mLauncher/commit/ac6735b143d1aa1f9c38d1a94fde12ebd25a7974))

## [1.3.4](https://github.com/DroidWorksStudio/mLauncher/tree/1.3.4) - (17, March 2024)

### Versioning:

- Version - ([ac7d27d](https://github.com/DroidWorksStudio/mLauncher/commit/ac7d27ddc477ec0fce5db1077beaf1dab9fe3ceb))

## [1.3.3](https://github.com/DroidWorksStudio/mLauncher/tree/1.3.3) - (09, March 2024)

### Releases:

- Release/1.3.3 ([#356](https://github.com/DroidWorksStudio/mLauncher/issues/356)) - ([67e2d34](https://github.com/DroidWorksStudio/mLauncher/commit/67e2d34798171eaa7453c6a085a97f9cf4d24f3e))

## [1.3.2](https://github.com/DroidWorksStudio/mLauncher/tree/1.3.2) - (05, March 2024)

### Bug Fixes:

- Fixed Languages For Breaking - ([6312071](https://github.com/DroidWorksStudio/mLauncher/commit/63120716c96706563323108716f9522c15a084dd))
- Fixed Latin - ([ccc704b](https://github.com/DroidWorksStudio/mLauncher/commit/ccc704bf0c6f4b2ace02b5206696428a979367ad))

## [1.3.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.3.1) - (05, March 2024)

### Bug Fixes:

- Fixed Languages - ([fc6e0ae](https://github.com/DroidWorksStudio/mLauncher/commit/fc6e0ae4a76f5b082033ce8e7365ce03252bc17e))
- Fixed the Accent color all apps header ([#338](https://github.com/DroidWorksStudio/mLauncher/issues/338)) - ([94d66ee](https://github.com/DroidWorksStudio/mLauncher/commit/94d66eea62a0b047d1f0187e18e569a35c69bedc))
- Fixed the title of app apps when accent color is disabled. ([#337](https://github.com/DroidWorksStudio/mLauncher/issues/337)) - ([0d63f38](https://github.com/DroidWorksStudio/mLauncher/commit/0d63f38574641918d75d96d53ec771704902a8c9))

## [1.3.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.3.0) - (02, March 2024)

### Bug Fixes:

- Fixed Accent Color for "All apps" in app drawer  ([#333](https://github.com/DroidWorksStudio/mLauncher/issues/333)) - ([2c90a1c](https://github.com/DroidWorksStudio/mLauncher/commit/2c90a1c7999b062d164d04e467d4b71f99ad3546))
- Fixed closing issues - ([c8528d3](https://github.com/DroidWorksStudio/mLauncher/commit/c8528d3d6e690a118ebd6320db7b0f89c067531b))
- Fixed DateTime formatting - ([167674b](https://github.com/DroidWorksStudio/mLauncher/commit/167674be75c8194c641ad9e8b572f71208ec724a))

### Releases:

- Release 1.3.0 ([#335](https://github.com/DroidWorksStudio/mLauncher/issues/335)) - ([fac3213](https://github.com/DroidWorksStudio/mLauncher/commit/fac3213fe9c053c29f13bc3a3f4edc2f0d263841))

## [1.2.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.2.1) - (23, July 2023)

### Bug Fixes:

- Fixed formatting - ([2ff310e](https://github.com/DroidWorksStudio/mLauncher/commit/2ff310ebe638d7712d1eeddcb2b5d6d101e39cd3))
- Fix the Font - ([b85f81d](https://github.com/DroidWorksStudio/mLauncher/commit/b85f81d509e33921259573e6d6ac65d08920f9b8))

### Releases:

- Update version to 66 (v1.2.1) ([#296](https://github.com/DroidWorksStudio/mLauncher/issues/296)) - ([39aae05](https://github.com/DroidWorksStudio/mLauncher/commit/39aae05e8847bf71fb0329028c684e6b9d5d2730))

## [1.2.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.2.0) - (14, July 2023)

### Bug Fixes:

- Fixed other EN Languages - ([b3dbed0](https://github.com/DroidWorksStudio/mLauncher/commit/b3dbed0cb6bb37cced1244a555a1b3ef4bd3e639))

### Releases:

- Update version to 65 (v1.2.0) ([#290](https://github.com/DroidWorksStudio/mLauncher/issues/290)) - ([749a2ff](https://github.com/DroidWorksStudio/mLauncher/commit/749a2ffb20915fc767687abc0b7ed702bf6b71ea))

## [1.1.2](https://github.com/DroidWorksStudio/mLauncher/tree/1.1.2) - (08, July 2023)

### Bug Fixes:

- Fixed the README (no need for a PR) - ([2422aae](https://github.com/DroidWorksStudio/mLauncher/commit/2422aae87df5b6ddedc3547305a42354b4643dd3))

### Releases:

- Update version to 64 (v1.1.2) ([#285](https://github.com/DroidWorksStudio/mLauncher/issues/285)) - ([4111ea7](https://github.com/DroidWorksStudio/mLauncher/commit/4111ea70b5a2e30f8fc2209f9dc17b48a82d25e0))

## [1.1.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.1.1) - (27, June 2023)

### Bug Fixes:

- Fixed the Logic for FuzzyWuzzy ([#277](https://github.com/DroidWorksStudio/mLauncher/issues/277)) - ([02521ce](https://github.com/DroidWorksStudio/mLauncher/commit/02521ce04690cd3810c3df9fac1fd3e7565554e6))

### Language Support:

- Language Support - ([cd25747](https://github.com/DroidWorksStudio/mLauncher/commit/cd2574719ba159f183e5c2656f864118e4b8132e))

### Releases:

- Release/v63 ([#278](https://github.com/DroidWorksStudio/mLauncher/issues/278)) - ([70a08df](https://github.com/DroidWorksStudio/mLauncher/commit/70a08df1fb8c988e999ff2c8b07f8a3e13dcb2b5))

## [1.1.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.1.0) - (26, June 2023)

### Implemented Enhancements:

- Updated the logic for the app search. ([#273](https://github.com/DroidWorksStudio/mLauncher/issues/273)) - ([20b2a5d](https://github.com/DroidWorksStudio/mLauncher/commit/20b2a5d80e2f300b575d340823ae6207dade8e1f))

### Releases:

- Update version to 62 (v1.1.0) ([#272](https://github.com/DroidWorksStudio/mLauncher/issues/272)) - ([ef5d6e6](https://github.com/DroidWorksStudio/mLauncher/commit/ef5d6e66a1a525c3632d3e8e736b43712d57588e))

## [1.0.1](https://github.com/DroidWorksStudio/mLauncher/tree/1.0.1) - (11, April 2023)

### Implemented Enhancements:

- Auto open apps with spaces in name ([#251](https://github.com/DroidWorksStudio/mLauncher/issues/251)) - ([4b96648](https://github.com/DroidWorksStudio/mLauncher/commit/4b96648220b2fb7ebd02137a47661fd88a4c1e77))

### Feature Removal:

- Remove Junk - ([e86306e](https://github.com/DroidWorksStudio/mLauncher/commit/e86306ee0419b46cf4cee688569c9f1ddea93117))

### Releases:

- Update version to 61 (v1.0.1) ([#265](https://github.com/DroidWorksStudio/mLauncher/issues/265)) - ([ca9966d](https://github.com/DroidWorksStudio/mLauncher/commit/ca9966d1d8fb814c2ac4eb5077594f30fd204b0c))

## [1.0.0](https://github.com/DroidWorksStudio/mLauncher/tree/1.0.0) - (14, March 2023)

### Bug Fixes:

- Fixed the accent colors toggle for app draw ([#243](https://github.com/DroidWorksStudio/mLauncher/issues/243)) - ([85e22e6](https://github.com/DroidWorksStudio/mLauncher/commit/85e22e6ab3ed0e7a94f1dba78f4076a6489e18fe))

### Releases:

- Update version to 60 (v1.0.0) ([#244](https://github.com/DroidWorksStudio/mLauncher/issues/244)) - ([e1a9ec4](https://github.com/DroidWorksStudio/mLauncher/commit/e1a9ec458bbe70a2e0550860815bc79f9620c356))

## [0.5.9](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.9) - (11, March 2023)

### Bug Fixes:

- Fix the locked screen when no pass set ([#238](https://github.com/DroidWorksStudio/mLauncher/issues/238)) - ([1c47916](https://github.com/DroidWorksStudio/mLauncher/commit/1c47916ef1a3717641283617050b9d0c45abd12c))

### Releases:

- Update version to 59 (v0.5.9) ([#239](https://github.com/DroidWorksStudio/mLauncher/issues/239)) - ([aae3ac8](https://github.com/DroidWorksStudio/mLauncher/commit/aae3ac80b7257dc23cef418f5ab66a0d4abd95f6))

## [0.5.8](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.8) - (09, March 2023)

### Implemented Enhancements:

- System accent color & font for app drawer ([#233](https://github.com/DroidWorksStudio/mLauncher/issues/233)) - ([11abb98](https://github.com/DroidWorksStudio/mLauncher/commit/11abb98b2ecabc20863a0f14207ed273f6504b4e))
- Doubled the number of apps on the homescreen ([#232](https://github.com/DroidWorksStudio/mLauncher/issues/232)) - ([078fc26](https://github.com/DroidWorksStudio/mLauncher/commit/078fc26774f762d3f1a0b143bd5f4101e3adb64f))

### Releases:

- Update version to 58 (v0.5.8) ([#234](https://github.com/DroidWorksStudio/mLauncher/issues/234)) - ([bbb04a6](https://github.com/DroidWorksStudio/mLauncher/commit/bbb04a66ae355152cf98302e3dd572ec6a52caa5))

## [0.5.7](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.7) - (01, March 2023)

### Implemented Enhancements:

- Update the lock screen. ([#228](https://github.com/DroidWorksStudio/mLauncher/issues/228)) - ([73aa62b](https://github.com/DroidWorksStudio/mLauncher/commit/73aa62bef21a324d0c6e8284c365ed585e3eaed5))

### Bug Fixes:

- Fixed app alignment ([#226](https://github.com/DroidWorksStudio/mLauncher/issues/226)) - ([6ec501b](https://github.com/DroidWorksStudio/mLauncher/commit/6ec501b473778ee1fdec55ebcf4bd69618846fd4))

### Releases:

- Update version to 57 (v0.5.7) ([#227](https://github.com/DroidWorksStudio/mLauncher/issues/227)) - ([b77f8ac](https://github.com/DroidWorksStudio/mLauncher/commit/b77f8ac4911376e50572d592918f2b80ef69bf14))

## [0.5.6](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.6) - (26, February 2023)

### Bug Fixes:

- Fixed - ([5c5e058](https://github.com/DroidWorksStudio/mLauncher/commit/5c5e0581242339f3e09328a9824fb22d601b8452))
- Fixed the Settings ([#221](https://github.com/DroidWorksStudio/mLauncher/issues/221)) - ([0213db3](https://github.com/DroidWorksStudio/mLauncher/commit/0213db39e78a4686530ac7d7d83d468290e760ca))

### Releases:

- Update version to 56 (v0.5.6) ([#222](https://github.com/DroidWorksStudio/mLauncher/issues/222)) - ([4325602](https://github.com/DroidWorksStudio/mLauncher/commit/4325602cd3c81e8127c383108a269e0107eae416))

## [0.5.5](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.5) - (21, February 2023)

### Bug Fixes:

- Fixed incorrect preference assignment ([#215](https://github.com/DroidWorksStudio/mLauncher/issues/215)) - ([356df51](https://github.com/DroidWorksStudio/mLauncher/commit/356df51e22ac0a3fb58aea18cdd909ffa98df3c6))

## [0.5.4](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.4) - (16, February 2023)

### Bug Fixes:

- Fixed a bug that crashes on battery monitor ([#211](https://github.com/DroidWorksStudio/mLauncher/issues/211)) - ([766a3e1](https://github.com/DroidWorksStudio/mLauncher/commit/766a3e1ef4778b0f1ec883c3af37867fd9c307c8))

### Releases:

- App version bumped to 54 (v0.5.4) ([#212](https://github.com/DroidWorksStudio/mLauncher/issues/212)) - ([ebd4eee](https://github.com/DroidWorksStudio/mLauncher/commit/ebd4eee69ddcb2cdb0b02f3c411497080306876f))

## [0.5.3](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.3) - (13, February 2023)

### Bug Fixes:

- Fix a crash releated to loading the base app - ([585f157](https://github.com/DroidWorksStudio/mLauncher/commit/585f157ccafeec025066e764f638c36a0b46806c))
- Bug/fix colors and layout for pin screen ([#204](https://github.com/DroidWorksStudio/mLauncher/issues/204)) - ([9179bc1](https://github.com/DroidWorksStudio/mLauncher/commit/9179bc17f464d5f0331a1cbfa3d57c52ba47192b))
- Bug/fix the battery percent from not updating ([#203](https://github.com/DroidWorksStudio/mLauncher/issues/203)) - ([055538a](https://github.com/DroidWorksStudio/mLauncher/commit/055538ad267d45498216b25a401020546fc7071d))

## [0.5.1](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.1) - (06, February 2023)

### Implemented Enhancements:

- Added a toggle to use the custom icon font ([#186](https://github.com/DroidWorksStudio/mLauncher/issues/186)) - ([ec76ca7](https://github.com/DroidWorksStudio/mLauncher/commit/ec76ca77f01287a00d959bcac8bfeee2d7fd11a1))

### Bug Fixes:

- Fix Settings for Icon Font ([#192](https://github.com/DroidWorksStudio/mLauncher/issues/192)) - ([43a89fd](https://github.com/DroidWorksStudio/mLauncher/commit/43a89fdfd9c04e4e77158a00eaf1e6cd6bfa7724))

### Reverts:

- Revert "Update release-drafter.yml" - ([15dd6b0](https://github.com/DroidWorksStudio/mLauncher/commit/15dd6b04c9ba38ab863eadb620a44a6d66188796))

### Releases:

- Release.tml - ([fbc4a9a](https://github.com/DroidWorksStudio/mLauncher/commit/fbc4a9a9c0f202fe19f438f4ad60bae63d6f02fc))

## [0.5.0](https://github.com/DroidWorksStudio/mLauncher/tree/0.5.0) - (24, January 2023)

### Implemented Enhancements:

- Fix the display for the battery usage ([#184](https://github.com/DroidWorksStudio/mLauncher/issues/184)) - ([085ba3c](https://github.com/DroidWorksStudio/mLauncher/commit/085ba3c82d120ec9ca07e08eb6e0f30e6df3111f))

## [0.4.9](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.9) - (23, January 2023)

### Implemented Enhancements:

- Make padding home apps apply to app draw too ([#173](https://github.com/DroidWorksStudio/mLauncher/issues/173)) - ([8125119](https://github.com/DroidWorksStudio/mLauncher/commit/8125119fbf0c484c41300d3855418efb138bd668))

### Bug Fixes:

- Fix fontsize that I had commented out - ([ebdb4da](https://github.com/DroidWorksStudio/mLauncher/commit/ebdb4dabee0cc4e789b07659bd2c7c5c5aa969ec))

## [0.4.7](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.7) - (16, January 2023)

### Implemented Enhancements:

- Padding for apps on homescreen ([#169](https://github.com/DroidWorksStudio/mLauncher/issues/169)) - ([c353836](https://github.com/DroidWorksStudio/mLauncher/commit/c3538368cdc9d4477171933d474d6bf1e8fab175))

## [0.4.6](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.6) - (14, January 2023)

### Implemented Enhancements:

- Filter application results start ([#166](https://github.com/DroidWorksStudio/mLauncher/issues/166)) - ([fe3d7bb](https://github.com/DroidWorksStudio/mLauncher/commit/fe3d7bbe04d548dcb26ff9f9d3f66f3a3c0cf373))
- Removed the roadmap link ([#162](https://github.com/DroidWorksStudio/mLauncher/issues/162)) - ([7e40236](https://github.com/DroidWorksStudio/mLauncher/commit/7e40236c901b3cbc0016afc475c54100df911f40))

### Bug Fixes:

- Just a few layout fixes - ([8fd0f08](https://github.com/DroidWorksStudio/mLauncher/commit/8fd0f08d4bd12afebe48d8e0c256a6a2fa81af25))

### Documentation:

- Docs Added. - ([c8f1464](https://github.com/DroidWorksStudio/mLauncher/commit/c8f1464efaf3063713890d613cfbbfdeb78702a2))

## [0.4.5](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.5) - (08, January 2023)

### Implemented Enhancements:

- Feature/more friendly colors ([#159](https://github.com/DroidWorksStudio/mLauncher/issues/159)) - ([4f3d4b1](https://github.com/DroidWorksStudio/mLauncher/commit/4f3d4b105d98cd9c1ff3009d4cdeab5cfd47181e))

### Bug Fixes:

- Fix the README - ([5b01de9](https://github.com/DroidWorksStudio/mLauncher/commit/5b01de924704e2529c7a9e03b78163a880270481))
- Fix text size... - ([9e7b096](https://github.com/DroidWorksStudio/mLauncher/commit/9e7b096ccb4c74267f41a6c685b9ce00bef8c02d))

## [0.4.4](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.4) - (05, January 2023)

### Bug Fixes:

- Work on the icons to make them look better. ([#155](https://github.com/DroidWorksStudio/mLauncher/issues/155)) - ([383b5df](https://github.com/DroidWorksStudio/mLauncher/commit/383b5df26e7810781e04871ecd0146c45855cc75))

### Feature Removal:

- Remove leftover import - ([432b3a0](https://github.com/DroidWorksStudio/mLauncher/commit/432b3a0c660bed693947da313af2abc39332cfa9))

### Releases:

- Release 0.4.4 - ([c116020](https://github.com/DroidWorksStudio/mLauncher/commit/c1160202ce8f955afba87023472650e2767c7a04))

## [0.4.3](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.3) - (03, January 2023)

### Implemented Enhancements:

- Added more swipe actions. ([#144](https://github.com/DroidWorksStudio/mLauncher/issues/144)) - ([1cf6b2f](https://github.com/DroidWorksStudio/mLauncher/commit/1cf6b2f1abcdeed556b9a12fde2c4841183b6656))

### Bug Fixes:

- Fixed slider bar to be off by 1 if too close. - ([7b02b16](https://github.com/DroidWorksStudio/mLauncher/commit/7b02b160ba29c5140e2f82e17c8280e43aa8a8b7))
- Fixed font and backup. - ([9c5a0d6](https://github.com/DroidWorksStudio/mLauncher/commit/9c5a0d649553d00247e2623dd3749a7c2e0d0f3d))
- Fixed backups - ([36791a5](https://github.com/DroidWorksStudio/mLauncher/commit/36791a52ad508857c3991b187dd45a3103e22f2d))
- Fixed the README - ([1caf33a](https://github.com/DroidWorksStudio/mLauncher/commit/1caf33a720ed03cf1fc35e86e9319187dcf87b07))
- File structure renaming and added sliders ([#137](https://github.com/DroidWorksStudio/mLauncher/issues/137)) - ([b0168a5](https://github.com/DroidWorksStudio/mLauncher/commit/b0168a5ac154ed628c6dfa126b2c43d4f86aab13))
- Fixed slider and font size. ([#136](https://github.com/DroidWorksStudio/mLauncher/issues/136)) - ([a179fde](https://github.com/DroidWorksStudio/mLauncher/commit/a179fde5fdbd511be94cdf775d12c10ff7540eb1))

## [0.4.2](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.2) - (30, December 2022)

### Bug Fixes:

- Fixes the other fragments opacity ([#132](https://github.com/DroidWorksStudio/mLauncher/issues/132)) - ([620c9f7](https://github.com/DroidWorksStudio/mLauncher/commit/620c9f72a218001fd42b1080c32c6cf6ecad8245))

### Code Cleanup:

- Fix some code for opacity ([#130](https://github.com/DroidWorksStudio/mLauncher/issues/130)) - ([1e17fa2](https://github.com/DroidWorksStudio/mLauncher/commit/1e17fa2d69c03f5119ab51fccd49603d28d6ef2e))

## [0.4.1](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.1) - (30, December 2022)

### Implemented Enhancements:

- Add the ability to change opacity of overlay ([#125](https://github.com/DroidWorksStudio/mLauncher/issues/125)) - ([b26aa4e](https://github.com/DroidWorksStudio/mLauncher/commit/b26aa4e5988c04d5207ae41afbacdd7313a94915))

### Bug Fixes:

- Fix the README.md - ([d7793aa](https://github.com/DroidWorksStudio/mLauncher/commit/d7793aa820f3ef167171c37585139a87787b42ed))

### Code Cleanup:

- Just some basic cleanup to the codebase - ([f770ec0](https://github.com/DroidWorksStudio/mLauncher/commit/f770ec0070212f0d9b050c4e52df414a99d4c757))

### Reverts:

- Revert back to java folder as kotlin breaks - ([b0ab5c7](https://github.com/DroidWorksStudio/mLauncher/commit/b0ab5c703b4f3715ea3e18e8a5dad099d24bf168))

## [0.4.0](https://github.com/DroidWorksStudio/mLauncher/tree/0.4.0) - (28, December 2022)

### Implemented Enhancements:

- Added custom font size for settings ([#116](https://github.com/DroidWorksStudio/mLauncher/issues/116)) - ([02958c5](https://github.com/DroidWorksStudio/mLauncher/commit/02958c54d5dac1d26a41f8ebfd23a44e0b6b9226))

### Feature Removal:

- Removed "app_name" from the rest of the languages - ([f835783](https://github.com/DroidWorksStudio/mLauncher/commit/f8357838c9b8931dc9906252dd0b5b261e4a322b))
- Removed unneeded dependencies - ([8205cb5](https://github.com/DroidWorksStudio/mLauncher/commit/8205cb5342f22253ce2b3d595df9dbd1015383b7))

### Reverts:

- Revert "Update Templates" - ([e0b5524](https://github.com/DroidWorksStudio/mLauncher/commit/e0b5524a4be26869434841994a33233ac7667bf5))
- Revert "Code Cleanup" - ([f5d129f](https://github.com/DroidWorksStudio/mLauncher/commit/f5d129f6c68b6dae2ccfdad4349f597b3e792287))

## [0.3.8](https://github.com/DroidWorksStudio/mLauncher/tree/0.3.8) - (25, December 2022)

### Implemented Enhancements:

- Put settings items on two rows ([#104](https://github.com/DroidWorksStudio/mLauncher/issues/104)) - ([8c746be](https://github.com/DroidWorksStudio/mLauncher/commit/8c746be7a57f015af538b0da05dedf945d1495b5))
- Resize the font in the settings ([#107](https://github.com/DroidWorksStudio/mLauncher/issues/107)) - ([4918a6d](https://github.com/DroidWorksStudio/mLauncher/commit/4918a6dc119163f92f26fcc4656e99d65049063a))

### Bug Fixes:

- Fixed to build - ([c55f89c](https://github.com/DroidWorksStudio/mLauncher/commit/c55f89cc51f778f340242e5776e0c0166e95cb77))
- Updated the Changelog - ([1751b3d](https://github.com/DroidWorksStudio/mLauncher/commit/1751b3dc051569b5b14b7d3905b25c953fb6803a))
- Fixed the link to the roadmap ([#110](https://github.com/DroidWorksStudio/mLauncher/issues/110)) - ([a0afb7a](https://github.com/DroidWorksStudio/mLauncher/commit/a0afb7a37a514ad2753e247d453db0e3e5e06324))
- Fix some of the readme file. ([#108](https://github.com/DroidWorksStudio/mLauncher/issues/108)) - ([a61a53f](https://github.com/DroidWorksStudio/mLauncher/commit/a61a53f6755149b8567a8d162cd2d8e678906233))
- Fixed the local to use from system settings ([#106](https://github.com/DroidWorksStudio/mLauncher/issues/106)) - ([49640bb](https://github.com/DroidWorksStudio/mLauncher/commit/49640bb6877a8efd668e505273c5c2e0a7e96719))
- Fixed the language file for base en ([#103](https://github.com/DroidWorksStudio/mLauncher/issues/103)) - ([1e78f58](https://github.com/DroidWorksStudio/mLauncher/commit/1e78f585c22f32fbc33bd33140f7fc379e345207))

## [0.3.7](https://github.com/DroidWorksStudio/mLauncher/tree/0.3.7) - (23, December 2022)

### Bug Fixes:

- Fixing an error with the intent swipes ([#99](https://github.com/DroidWorksStudio/mLauncher/issues/99)) - ([d45e2c2](https://github.com/DroidWorksStudio/mLauncher/commit/d45e2c2a59066ad9d955aada2b5d1c5ed3aa8c81))
- Fix the french language string.xml ([#94](https://github.com/DroidWorksStudio/mLauncher/issues/94)) - ([318af22](https://github.com/DroidWorksStudio/mLauncher/commit/318af2246afd2d984198fcd192a2db95005872e1))
- Fix the OPEN to follow the language ([#91](https://github.com/DroidWorksStudio/mLauncher/issues/91)) - ([23cce1b](https://github.com/DroidWorksStudio/mLauncher/commit/23cce1b6702fd55498c64d5a5d1d45a2f7347d66))

### Code Cleanup:

- Cleanup the Settings panel. ([#97](https://github.com/DroidWorksStudio/mLauncher/issues/97)) - ([fdcf83d](https://github.com/DroidWorksStudio/mLauncher/commit/fdcf83d54a163ba26402d6910dbe59405e10869e))

## [0.3.6](https://github.com/DroidWorksStudio/mLauncher/tree/0.3.6) - (22, December 2022)

### Bug Fixes:

- Fix Contributing ([#88](https://github.com/DroidWorksStudio/mLauncher/issues/88)) - ([885bafd](https://github.com/DroidWorksStudio/mLauncher/commit/885bafdf701149160fe6976b5c7cc0c95e885afe))
- Fix file ([#86](https://github.com/DroidWorksStudio/mLauncher/issues/86)) - ([9e7eeaf](https://github.com/DroidWorksStudio/mLauncher/commit/9e7eeaf68c647cef03b5eb648662038d82335cf4))
- Fix italian string ([#79](https://github.com/DroidWorksStudio/mLauncher/issues/79)) - ([dcdab10](https://github.com/DroidWorksStudio/mLauncher/commit/dcdab10f1fed2f28f637076eb482021fd1a8ab4b))
- Fix some typos ([#74](https://github.com/DroidWorksStudio/mLauncher/issues/74)) - ([9aa5515](https://github.com/DroidWorksStudio/mLauncher/commit/9aa5515b4208a21b5c13a400b8bc461e937e2316))
- Fixed Actions ([#70](https://github.com/DroidWorksStudio/mLauncher/issues/70)) - ([2e32f9e](https://github.com/DroidWorksStudio/mLauncher/commit/2e32f9eaacc7b43d5eed7b9a1b40832ced7c267f))
- Fix French CDATA ([#68](https://github.com/DroidWorksStudio/mLauncher/issues/68)) - ([cc11e07](https://github.com/DroidWorksStudio/mLauncher/commit/cc11e07c6435b8246356afd8ce3084ae522134ae))
- FixedMax ([#63](https://github.com/DroidWorksStudio/mLauncher/issues/63)) - ([eed80dc](https://github.com/DroidWorksStudio/mLauncher/commit/eed80dc40773d96332616201f765d78da189b732))

### Code Cleanup:

- Cleanup ([#59](https://github.com/DroidWorksStudio/mLauncher/issues/59)) - ([c90f88b](https://github.com/DroidWorksStudio/mLauncher/commit/c90f88bf9b4a3a34d4585c789b21bea76c806e48))

## [0.3.5](https://github.com/DroidWorksStudio/mLauncher/tree/0.3.5) - (19, December 2022)

### Implemented Enhancements:

- *(german)* Update german string ([#175](https://github.com/DroidWorksStudio/mLauncher/issues/175)) - ([6c2dfbb](https://github.com/DroidWorksStudio/mLauncher/commit/6c2dfbbabeb104c255b6ed1cd53000e79967f3af))
- *(permission)* Remove internet permisisons, and everything that needed it - ([594de90](https://github.com/DroidWorksStudio/mLauncher/commit/594de9025290d29612102544e36636e440ad6432))
- *(translation)* Manually select language - ([f654519](https://github.com/DroidWorksStudio/mLauncher/commit/f65451926d98b67fb908cc62f658f9b9e5f993b2))
- Add toggle for "open apps automatically" ([#53](https://github.com/DroidWorksStudio/mLauncher/issues/53)) - ([f2f20e2](https://github.com/DroidWorksStudio/mLauncher/commit/f2f20e2251033760144fe05e3ec937d34ce827f9))
- Replace some texts with images, enable uninstall of apps throug… ([#204](https://github.com/DroidWorksStudio/mLauncher/issues/204)) - ([aea3e83](https://github.com/DroidWorksStudio/mLauncher/commit/aea3e837c0adbd099f4369e24f1b6bd970fd7646))
- Implement #102 ([#160](https://github.com/DroidWorksStudio/mLauncher/issues/160)) - ([e021915](https://github.com/DroidWorksStudio/mLauncher/commit/e0219152c1d0fa2c7a37e56f7f201089169498d3))
- Implements #82 ([#136](https://github.com/DroidWorksStudio/mLauncher/issues/136)) - ([6eb9b30](https://github.com/DroidWorksStudio/mLauncher/commit/6eb9b30b1bec233c844d56589a91f303d5af9f4d))
- Add korean to settings - ([415ff69](https://github.com/DroidWorksStudio/mLauncher/commit/415ff69ce953d83f82f9ad53879b7ecaad79e70a))
- Toggle date and time independently ([#88](https://github.com/DroidWorksStudio/mLauncher/issues/88)) - ([9b781d7](https://github.com/DroidWorksStudio/mLauncher/commit/9b781d75b18746a743b5e9d11ad223ca03218b7c))
- Changelogs for v9 - ([65117bd](https://github.com/DroidWorksStudio/mLauncher/commit/65117bda6932e0a0de8781c5e3cfb15d0e521b54))
- Option to set language from system settings - ([1d3b165](https://github.com/DroidWorksStudio/mLauncher/commit/1d3b1657d410488efd4a9afce88e885b9ff38a49))
- Option to set language from system settings - ([1426765](https://github.com/DroidWorksStudio/mLauncher/commit/14267658bd6eee2c9b655590b6cab4e6d15c7046))
- List hidden apps - ([17c8faf](https://github.com/DroidWorksStudio/mLauncher/commit/17c8fafbe85f8bb6951a0043d6e0f52ea7733752))
- Change text size - ([90a76b7](https://github.com/DroidWorksStudio/mLauncher/commit/90a76b7d230e491339cfb73ee34637a070905620))

### Bug Fixes:

- *(homescreen)* Place apps that are only in work profile on home screen ([#188](https://github.com/DroidWorksStudio/mLauncher/issues/188)) - ([d495796](https://github.com/DroidWorksStudio/mLauncher/commit/d495796b22633d44dc19d0aa6712efe784bd90d6))
- *(homescreen)* This fixes the homescreen alignment bug ([#185](https://github.com/DroidWorksStudio/mLauncher/issues/185)), while also being a general code improvement commit ([#187](https://github.com/DroidWorksStudio/mLauncher/issues/187)) - ([f8f6a69](https://github.com/DroidWorksStudio/mLauncher/commit/f8f6a69f7c4f7998ef1e176347ed520e0215545e))
- *(landscape)* Add language menu to landscape layout xml - ([712e6da](https://github.com/DroidWorksStudio/mLauncher/commit/712e6da89a48d40941de5494bc121eb7d4692233))
- *(settings)* Language list doubled - ([72b563d](https://github.com/DroidWorksStudio/mLauncher/commit/72b563d4ab1001d0ddc2f1afa9712818cc6d3e24))
- Fix a few actions ([#54](https://github.com/DroidWorksStudio/mLauncher/issues/54)) - ([99a4e0a](https://github.com/DroidWorksStudio/mLauncher/commit/99a4e0afdffdea31fbb4ac13a824af1b875abb55))
- Fix Translations ([#47](https://github.com/DroidWorksStudio/mLauncher/issues/47)) - ([027d40c](https://github.com/DroidWorksStudio/mLauncher/commit/027d40cd7ec061eb06e346ba96fb038d916216c5))
- Fix app draw - ([ac94305](https://github.com/DroidWorksStudio/mLauncher/commit/ac9430558aa7108d0f72a891205dbb77fac5c357))
- Not reundant ([#21](https://github.com/DroidWorksStudio/mLauncher/issues/21)) - ([887ad38](https://github.com/DroidWorksStudio/mLauncher/commit/887ad3818e3b1f32cf8c07d0f1a63c3deacbd771))
- Fix the bug from swiping apps ([#3](https://github.com/DroidWorksStudio/mLauncher/issues/3)) - ([6f60a21](https://github.com/DroidWorksStudio/mLauncher/commit/6f60a2171ccc0f7f20ba9710d123b5b0dc841037))
- Fix the Swiping ([#2](https://github.com/DroidWorksStudio/mLauncher/issues/2)) - ([656d4df](https://github.com/DroidWorksStudio/mLauncher/commit/656d4dfccc0cd402953ff673fc6838e30b325158))
- Fix the swipe apps - ([5079656](https://github.com/DroidWorksStudio/mLauncher/commit/5079656d74d47216b4be01dcabb60bd61800537a))
- Fix the README file - ([8c176f3](https://github.com/DroidWorksStudio/mLauncher/commit/8c176f30d86e63ec5b440451d34087b0e02b7594))
- Fix the swipe down app menu - ([692491c](https://github.com/DroidWorksStudio/mLauncher/commit/692491c698cbd52861da564a5f842744b11b52e1))
- Fixed settings - ([5deff32](https://github.com/DroidWorksStudio/mLauncher/commit/5deff32c74d3a509c95a2261d52d587ce0ed164f))
- #209 - ([ab295f4](https://github.com/DroidWorksStudio/mLauncher/commit/ab295f4b645c63fae682c39f85ff9acef3798a77))
- Text size in settings - ([dcf080e](https://github.com/DroidWorksStudio/mLauncher/commit/dcf080eba5aec0e27abbef253a75b3e5d96545ac))
- Work icon size and work icon position - ([04a4729](https://github.com/DroidWorksStudio/mLauncher/commit/04a47294000db09f5555a5bd5f8f0ad46a21cf43))
- Version number - ([1520ad9](https://github.com/DroidWorksStudio/mLauncher/commit/1520ad96bacd08c1a8f8562fa8e5a119e14bcf27))
- Set app name right when it is added to the home screen, not just at showing the fragment ([#202](https://github.com/DroidWorksStudio/mLauncher/issues/202)) - ([5988591](https://github.com/DroidWorksStudio/mLauncher/commit/59885911118d59b9d0b04b9145d81bf28683f50c))
- Set swipe right app - ([9bbda9a](https://github.com/DroidWorksStudio/mLauncher/commit/9bbda9a57e569e17b0aca7c2ae9f45536d143b95))
- #172 - ([f61fdcc](https://github.com/DroidWorksStudio/mLauncher/commit/f61fdcc21e06715d2eb364b672bed637a41d2d07))
- Move 'backToHomeScreen()' to onResume to not show home shortly before opening an app - ([19b970a](https://github.com/DroidWorksStudio/mLauncher/commit/19b970a8764f7c50fc631090626a0393149991f7))
- German translation ([#191](https://github.com/DroidWorksStudio/mLauncher/issues/191)) - ([9b2f652](https://github.com/DroidWorksStudio/mLauncher/commit/9b2f652c47d505dd204668337d7d99cb8a3d6923))
- Remove non-free dependencies - ([6d46b76](https://github.com/DroidWorksStudio/mLauncher/commit/6d46b76ec41dbea60f5b518092be6503248ff58d))
- Home alignment when click area is exetended ([#176](https://github.com/DroidWorksStudio/mLauncher/issues/176)) - ([933c050](https://github.com/DroidWorksStudio/mLauncher/commit/933c050644795bd2e92b654c6b856b642809549f))
- Swipe app names black if not set - ([19cb6b7](https://github.com/DroidWorksStudio/mLauncher/commit/19cb6b712a1fc0275de16cfa7718c749414cb982))
- Set app language to system language ([#128](https://github.com/DroidWorksStudio/mLauncher/issues/128)) - ([667a0a5](https://github.com/DroidWorksStudio/mLauncher/commit/667a0a5067f47ccc6876410f6dfb7e1f0ba00ac8))
- Hidden apps string hardcoded ([#126](https://github.com/DroidWorksStudio/mLauncher/issues/126)) - ([0a6d3a1](https://github.com/DroidWorksStudio/mLauncher/commit/0a6d3a1a70953650544292b3a934f0ee66a7b8bc))
- Fixed typo that was preventing ClickDateApp change ([#111](https://github.com/DroidWorksStudio/mLauncher/issues/111)) - ([5087a9e](https://github.com/DroidWorksStudio/mLauncher/commit/5087a9e04e70cbd918de7232d15eb53b40653f63))
- Use packageName for applias identifier instead of appLabel ([#103](https://github.com/DroidWorksStudio/mLauncher/issues/103)) - ([ebdbeeb](https://github.com/DroidWorksStudio/mLauncher/commit/ebdbeebf69c869c7cbf37fd67b9c91e373080ea7))
- Remove strings, use resources - ([63abaf3](https://github.com/DroidWorksStudio/mLauncher/commit/63abaf3f99f421f0bca1ce9109f8944ae4a86deb))
- Add layout to landscape-layout - ([a3e8f1c](https://github.com/DroidWorksStudio/mLauncher/commit/a3e8f1cada2aa4307c91afa80188605adc462a60))
- Add layout to landscape-layout - ([8cf45a9](https://github.com/DroidWorksStudio/mLauncher/commit/8cf45a98622a3af48a44b8183661aa67a798bd4f))
- Text size string - ([e7e3e07](https://github.com/DroidWorksStudio/mLauncher/commit/e7e3e07cfb6b2b102b58d00b7bb2977fe80db1f7))
- Fix double tap2lock - ([5e55b3f](https://github.com/DroidWorksStudio/mLauncher/commit/5e55b3f1125baf1edb0ffb58627e94256649b413))
- App drawer swipe down to dismiss not working sometimes - ([948e0a3](https://github.com/DroidWorksStudio/mLauncher/commit/948e0a3262d2250778a351b36d3949d1ce740dbb))
- Fixed status bar color for light theme - ([621f089](https://github.com/DroidWorksStudio/mLauncher/commit/621f08967d0eb9044cf5174b53c52f8fe4611a7b))
- Daily wallpaper not updating correctly - ([acf5168](https://github.com/DroidWorksStudio/mLauncher/commit/acf5168536eea325438f6d0500ac630bdb48236d))
- Pressing enter not opening the first app in list - ([769ce83](https://github.com/DroidWorksStudio/mLauncher/commit/769ce83bb8e627b9656e02571bbc4df6b9848776))
- Showing message dialog again and again - ([d38fced](https://github.com/DroidWorksStudio/mLauncher/commit/d38fcedfc82483e26f2a951675cb86ef5b5d4731))
- Some calendar apps not showing up - ([9cb3e41](https://github.com/DroidWorksStudio/mLauncher/commit/9cb3e4188973f730765639b2ad00d917e5a97e80))
- Fixed a crash.. I guess - ([c554a63](https://github.com/DroidWorksStudio/mLauncher/commit/c554a6380844f0a8d17cbfdd33f35bf8b6d70e23))
- Fixed typo - ([454e975](https://github.com/DroidWorksStudio/mLauncher/commit/454e975835ae07be501702a1cff650425b978190))
- Screen timeout resetting to 30 seconds if screen timeout lock is enabled - ([de560e5](https://github.com/DroidWorksStudio/mLauncher/commit/de560e5921f07383b9633be270630ae5313e2f0f))
- Some apps not being added on home screen - ([f1f6485](https://github.com/DroidWorksStudio/mLauncher/commit/f1f64850b5d6048ec093c44562631f5b8b72445a))
- Wallpaper worker not cancelled when setting black wallpaper - ([42c14be](https://github.com/DroidWorksStudio/mLauncher/commit/42c14be515c7638ada9ae8e2ab6acf79d2a0d610))
- Fixed a minor issue - ([e81ed86](https://github.com/DroidWorksStudio/mLauncher/commit/e81ed8610984887964940d0255e25956d364af22))
- Some work apps not opening - ([fdec75e](https://github.com/DroidWorksStudio/mLauncher/commit/fdec75e2efaf8124a5b996b4d029f3f6dbfc699f))
- Crashing while opening dual/cloned apps - ([3b97361](https://github.com/DroidWorksStudio/mLauncher/commit/3b973611f4837f39df636e6486599eabbac9cedd))
- Home apps not opening if userhandle is empty - ([999292c](https://github.com/DroidWorksStudio/mLauncher/commit/999292c8fe1413ad32d3fb8f65f7a5225e8231ab))
- Crash when a hidden app list contains an uninstalled app - ([59c9b9b](https://github.com/DroidWorksStudio/mLauncher/commit/59c9b9b8def49d2f63604da7bd3685bebd764031))
- Fixed issue with hidden apps with user info - ([fa8c345](https://github.com/DroidWorksStudio/mLauncher/commit/fa8c3459d678b21dfaabb8943da322e53a11d6e5))
- Fixed a stupid mistake. - ([b627e14](https://github.com/DroidWorksStudio/mLauncher/commit/b627e14c06ce175d47fac2fa5bb6c49efda296d8))
- Hidden apps set getting empty - ([3dcd4a8](https://github.com/DroidWorksStudio/mLauncher/commit/3dcd4a80a1187aca93eca7e2fd0d9ee068403af5))
- Fixed a ui crash issue on lock - ([36c7054](https://github.com/DroidWorksStudio/mLauncher/commit/36c70540581f50474f6e88e7f3222bc66cb28490))
- Nav bar not showing in certain conditions - ([e5780e7](https://github.com/DroidWorksStudio/mLauncher/commit/e5780e7ca4abc7d42e94041697b31b9c4bdbfef2))
- Not showing the triple lock message - ([a5448ad](https://github.com/DroidWorksStudio/mLauncher/commit/a5448ad7d879ea28a8f08711ebac1c7c4bddf88f))
- Fixed a minor issue - ([ef58268](https://github.com/DroidWorksStudio/mLauncher/commit/ef5826856aef5f0d7e73c1ea7299933f3214aa59))
- Fixed a minor issue in settings - ([fa4e985](https://github.com/DroidWorksStudio/mLauncher/commit/fa4e9852c6fb70343c87b18371cf7bc6f3005b38))
- App list not updating immediately after install/uninstall - ([629fcf5](https://github.com/DroidWorksStudio/mLauncher/commit/629fcf5d91e7566abc9469bf7d82467b862a8dee))
- Gravity issue in home apps text - ([01cc4dd](https://github.com/DroidWorksStudio/mLauncher/commit/01cc4ddb21722212684cc603e949f7d16df3af70))
- Non-transparent navigation bar in Android 10 - ([30374ee](https://github.com/DroidWorksStudio/mLauncher/commit/30374ee0ecbf5c0bc0018491f34d595c9e7cf620))
- Extra space after apps when right aligned - ([19ffaae](https://github.com/DroidWorksStudio/mLauncher/commit/19ffaae92e5cbfafe846b31d31f690f25e00e90d))
- Home apps not changin color on pressed - ([5b330d6](https://github.com/DroidWorksStudio/mLauncher/commit/5b330d670d613e72e81109e4290154437ae243c5))
- Fixed a bug in wallpaper update - ([c0d29a6](https://github.com/DroidWorksStudio/mLauncher/commit/c0d29a63386db156e5ff4aa8261dc838bc2bb804))
- Fixed (again): text overlapping on first run - ([2ab10dc](https://github.com/DroidWorksStudio/mLauncher/commit/2ab10dcf4381690d83cee42d69e6d04b39795fec))
- Theme change glitch on cold app start - ([632df0c](https://github.com/DroidWorksStudio/mLauncher/commit/632df0c6cd3b4f80116c75ca67a14402259be77a))
- Fixed an overlapping texts issue on first run - ([d01d6e4](https://github.com/DroidWorksStudio/mLauncher/commit/d01d6e4627f622a040799b35495cb701c333b94a))
- Fixed a typo - ([a05abd6](https://github.com/DroidWorksStudio/mLauncher/commit/a05abd6c5e46ab173af33dd19524ed236772e2b3))
- Fixed some admin permission issues - ([a8ead18](https://github.com/DroidWorksStudio/mLauncher/commit/a8ead1827870a3257d4cb6decac27ea247129a58))
- App list refreshing unnecessarily - ([24882d8](https://github.com/DroidWorksStudio/mLauncher/commit/24882d8aac71ed82cf1e50bac4b0b36d178ed6f0))
- Default wallpaper not working - ([ad0ede3](https://github.com/DroidWorksStudio/mLauncher/commit/ad0ede3a68bb714a135f5e5c2e6076bf31b0bc62))
- Fixed margins for different types of screens - ([6738ce0](https://github.com/DroidWorksStudio/mLauncher/commit/6738ce0d62ee37f8b5306b7b1106cb65c7c44ba7))
- App drawer closing unexpectedly when swiping after partial search - ([5734668](https://github.com/DroidWorksStudio/mLauncher/commit/573466897cc6bce48eee80322461e7a35aaed258))
- Not showing date if phone is set to 24 hour time format - ([af80be0](https://github.com/DroidWorksStudio/mLauncher/commit/af80be0b745c34bff1eabe5bccff80a2f49fa6c9))
- Apps blinking when home button pressed - ([f2a012e](https://github.com/DroidWorksStudio/mLauncher/commit/f2a012ec6ad0c70cdf19b5db6418d34030540935))
- App start crash in Android 8.0 - ([287c5d2](https://github.com/DroidWorksStudio/mLauncher/commit/287c5d2eb54a0a111a0b65787de1f7f94ecb2314))
- Wallpaper issue in Marshmallow (Android 6.0) - ([aa42583](https://github.com/DroidWorksStudio/mLauncher/commit/aa425836326e0e82b3abed32910e13cb66bc58f4))
- Search view text color - ([27f12c1](https://github.com/DroidWorksStudio/mLauncher/commit/27f12c1dcd545f3e6ece1662f97d308032062568))
- Fixed a typo - ([aafe5eb](https://github.com/DroidWorksStudio/mLauncher/commit/aafe5ebee3547408bf31b7448af2c26f07d0363f))
- Fixed double tap to lock - ([58f7cc2](https://github.com/DroidWorksStudio/mLauncher/commit/58f7cc29a4722a5254b0e7df0744807888831818))
- Fixed a theme change related bug - ([23366d4](https://github.com/DroidWorksStudio/mLauncher/commit/23366d4b252b533b43b4fa707932e9f01911bfc2))
- App click listener in app list - ([fee0817](https://github.com/DroidWorksStudio/mLauncher/commit/fee08176d13f626a6bc46d90dc582a3ab2205772))
- Crash on initialising navController in MainActivity - ([c1a287f](https://github.com/DroidWorksStudio/mLauncher/commit/c1a287f201c8680d1538e6f551cc4d681276a658))

### Chore:

- *(version)* Update version code - ([8ad6a37](https://github.com/DroidWorksStudio/mLauncher/commit/8ad6a37eae525653e18865dbd26c4ae08d3604d2))
- Version number - ([41b72e9](https://github.com/DroidWorksStudio/mLauncher/commit/41b72e9e625fc80f56a24e8e9ee48cebc670d817))
- Version number - ([8142cf0](https://github.com/DroidWorksStudio/mLauncher/commit/8142cf09aab9a0524233b2380fcb40a57643bc48))
- Version number - ([1782be7](https://github.com/DroidWorksStudio/mLauncher/commit/1782be7e5710911080ec635baaba03b9c10ce872))
- Version number - ([950107a](https://github.com/DroidWorksStudio/mLauncher/commit/950107a4044f664e7c6cf4d2b292add540d1abd3))
- Version number - ([d71f43d](https://github.com/DroidWorksStudio/mLauncher/commit/d71f43da914f846c3d41a9b79ebcab413a3421e7))
- Version number - ([c64e13b](https://github.com/DroidWorksStudio/mLauncher/commit/c64e13b1546ff1ea49c959d694783167b29188a9))
- Version number - ([ab9a397](https://github.com/DroidWorksStudio/mLauncher/commit/ab9a3975297d00d56c8fb1568225f735da272d60))
- Update dependencies - ([29eb4ff](https://github.com/DroidWorksStudio/mLauncher/commit/29eb4ffa76750621433d1e54c1a56c6a28a77371))
- Update dependencies - ([706a953](https://github.com/DroidWorksStudio/mLauncher/commit/706a9538727940ee8a595571d48aa2de16bcbbf1))
- Version number - ([1e75c75](https://github.com/DroidWorksStudio/mLauncher/commit/1e75c75f11ea811784d528e624d93c4fdfc40042))
- Version number - ([d43ffcc](https://github.com/DroidWorksStudio/mLauncher/commit/d43ffcc6e13e13b647cf0c8297df26cb66507437))
- Version number - ([356b772](https://github.com/DroidWorksStudio/mLauncher/commit/356b772bf4ac26623fb4e23bd542724073c19dc4))
- Update version number - ([c27290f](https://github.com/DroidWorksStudio/mLauncher/commit/c27290f23b030082ef0ba41e49d82e6f0d90c928))
- Bump version number - ([5edee82](https://github.com/DroidWorksStudio/mLauncher/commit/5edee82e783f8e30937e9bf97333baa435f196f1))
- Version number, preapre for next release - ([3f1de73](https://github.com/DroidWorksStudio/mLauncher/commit/3f1de732b637ecac033fe0c707871b8cfc436d01))
- Change version code - ([246084c](https://github.com/DroidWorksStudio/mLauncher/commit/246084c11891c62cd863180e346c8662b3a1d025))
- Add version number to settings to improve debugging - ([5b2cede](https://github.com/DroidWorksStudio/mLauncher/commit/5b2cedef09b981ecef0d050ed5d28bfd12499831))
- Rename pull_request_template - ([fe91748](https://github.com/DroidWorksStudio/mLauncher/commit/fe917489c8706b800cd27775f185db4a2ffddc8e))
- Rename translation template - ([96591ce](https://github.com/DroidWorksStudio/mLauncher/commit/96591ce45facf5be3bbc7e5d393325aeb722b6c6))
- Add pull request template for translations - ([5ac96d4](https://github.com/DroidWorksStudio/mLauncher/commit/5ac96d434e133f637e5c3b98b35f8a360df0ccfb))
- Change version code - ([db869fb](https://github.com/DroidWorksStudio/mLauncher/commit/db869fb7acb5b38c9e8710e0b6776427bc94ae0e))
- Remove mode dead code - ([17d285e](https://github.com/DroidWorksStudio/mLauncher/commit/17d285edd29ce0e646750b069a132779824ddb99))
- Removed unused constants and xml layout - ([2eadb7f](https://github.com/DroidWorksStudio/mLauncher/commit/2eadb7fde196e1e5e2dfe23d1348cc1568a635d9))
- Removed even more unused strings - ([1a74a31](https://github.com/DroidWorksStudio/mLauncher/commit/1a74a3168e4574867c5341c484c25c8b89e65280))
- Removed more unused strings - ([7080c59](https://github.com/DroidWorksStudio/mLauncher/commit/7080c59fb077da158325b639c4a9f667817505c0))
- Remove more ads - ([19a711d](https://github.com/DroidWorksStudio/mLauncher/commit/19a711db4e9544612b18f2b48f11104e62d415c5))
- Remove unused strings - ([60d8b93](https://github.com/DroidWorksStudio/mLauncher/commit/60d8b939aeb3a98377c544a5ac50a4c724809a74))
- Change deprecated code - ([da54fc9](https://github.com/DroidWorksStudio/mLauncher/commit/da54fc99ce3255252ead1b40878b74d864d79eb8))
- Clean up code - ([85d8be7](https://github.com/DroidWorksStudio/mLauncher/commit/85d8be7ce33e26a8f5604688e12ed7c4ce60a3ae))

### Versioning:

- Version Bump - ([9ed78b8](https://github.com/DroidWorksStudio/mLauncher/commit/9ed78b873e71fcd2d0bf57d8766132b7084ad3a2))

### Feature Removal:

- Removed a bit of junk - ([8716553](https://github.com/DroidWorksStudio/mLauncher/commit/87165532d84fcf44f5a7138ce8f07d47f9ba2418))
- Removed TEST File - ([fb1664f](https://github.com/DroidWorksStudio/mLauncher/commit/fb1664fb844457ab4c2b7cefd2ded379e88b7200))
- Remove unused strings ([#106](https://github.com/DroidWorksStudio/mLauncher/issues/106)) - ([e61aa36](https://github.com/DroidWorksStudio/mLauncher/commit/e61aa360885cf30cffed6b17ca00e0468ff645f1))
- Remove clutter - ([d546ec9](https://github.com/DroidWorksStudio/mLauncher/commit/d546ec9c55c21eec090be809641c11da0be6ec08))
- Remove clutter - ([e4cef8f](https://github.com/DroidWorksStudio/mLauncher/commit/e4cef8fe5e62f3ce693e3904b59ebe74cbec4a10))
- Removed vibrate on long press - ([0768cca](https://github.com/DroidWorksStudio/mLauncher/commit/0768cca8fb44511bb2c0569063a4c8ee84096924))
- Removed triple tap. Not being used. - ([c79885f](https://github.com/DroidWorksStudio/mLauncher/commit/c79885ff4cbb17b141f712d25d53cd5e80afe62c))
- Removed an overlay - ([cb61bbc](https://github.com/DroidWorksStudio/mLauncher/commit/cb61bbcf09c2c4958ef59078db8ded18b5cd9046))
- Removed text color change support - ([4a173e8](https://github.com/DroidWorksStudio/mLauncher/commit/4a173e84c92d36c887884eadb85345a389eb08cf))
- Removed double tap to lock feature - ([800bdfa](https://github.com/DroidWorksStudio/mLauncher/commit/800bdfa02d67e380bf408d1825a50680e5661b49))
- Remove font thin and increased padding of home apps - ([7681cc3](https://github.com/DroidWorksStudio/mLauncher/commit/7681cc317458423b78fdfa461c3e54ed91fcb418))
- Removed some toast messages - ([be57f66](https://github.com/DroidWorksStudio/mLauncher/commit/be57f66fe6bab045481c69da5e402c88fd0936af))
- Removed example test files and libraries - ([2116c68](https://github.com/DroidWorksStudio/mLauncher/commit/2116c683abc8869cbfb72aa6ddb6f1a40efb6c19))
- Removed sponsor button to comply with play store's payment policies - ([489d67d](https://github.com/DroidWorksStudio/mLauncher/commit/489d67d5f2bcac0abdca289963f8fac6268db418))
- Removed unused welcome fragment - ([5fd9e3d](https://github.com/DroidWorksStudio/mLauncher/commit/5fd9e3d0687405f0d108b6301d26a59c229dbff3))
- Removed some options in settings (will be added in next version) - ([b19cfca](https://github.com/DroidWorksStudio/mLauncher/commit/b19cfcac56fe3a46de9830458a631e66cfbcc23c))
- Removed some unused libraries - ([06c19a1](https://github.com/DroidWorksStudio/mLauncher/commit/06c19a10d01851291c928675ffd4c5a3c53cdb07))
- Removed olauncher from app list - ([fb32141](https://github.com/DroidWorksStudio/mLauncher/commit/fb321416bfcb6901b240b6ea6fdba0485b2abe7a))

### Language Support:

- Lang files and removed junk - ([64561b0](https://github.com/DroidWorksStudio/mLauncher/commit/64561b0ca7aaa598b846b2ba1b53a546b886e74a))

### Documentation:

- *(translation)* Add italian translation - ([39f2ee9](https://github.com/DroidWorksStudio/mLauncher/commit/39f2ee91bcc1206dfd5bfa597869fe09bda1c896))

### Refactoring:

- Improve text resize behaviour and set broader limits ([#207](https://github.com/DroidWorksStudio/mLauncher/issues/207)) - ([3e18041](https://github.com/DroidWorksStudio/mLauncher/commit/3e18041c01a04d4df8ac59afa83dbd43a5ac3ce6))
- Replace string with string resourece ([#97](https://github.com/DroidWorksStudio/mLauncher/issues/97)) - ([432148e](https://github.com/DroidWorksStudio/mLauncher/commit/432148e46bf8028c17dafe488f49be2e470a9ff1))
- Migrate to jetpack compose ([#30](https://github.com/DroidWorksStudio/mLauncher/issues/30)) - ([be2c1c0](https://github.com/DroidWorksStudio/mLauncher/commit/be2c1c052b9c9677f22d33db9a56c563713535b8))
- Refactoring - ([4f4e1b4](https://github.com/DroidWorksStudio/mLauncher/commit/4f4e1b48857bc13fc7a9aa8292c2da355b3dad25))
- Refactoring - ([7246ee1](https://github.com/DroidWorksStudio/mLauncher/commit/7246ee1e52d681db2ec1490ca3690711018ee566))
- Refactoring - ([f88b54a](https://github.com/DroidWorksStudio/mLauncher/commit/f88b54a36ba596b0ce2b664d45dc2e80c8104eb7))
- Refactored files into packages - ([244b064](https://github.com/DroidWorksStudio/mLauncher/commit/244b0642fe83095b1de7890ebed4e7ad37a9780f))
- Refactoring launcher reset and default launcher selection - ([7fdadef](https://github.com/DroidWorksStudio/mLauncher/commit/7fdadef12b4f23ba69c49e865fac82d0a1635c21))
- Moved some logic from view to viewmodel - ([d24d379](https://github.com/DroidWorksStudio/mLauncher/commit/d24d3794ff6a0cfc2d69b08a67ff907ea7c92213))

### Styling Changes:

- Deutsch -> german - ([21ce8bb](https://github.com/DroidWorksStudio/mLauncher/commit/21ce8bbfc6e2308957f95b9576c438f6bbb1ac31))

### Reverts:

- Settings text changin size (i guess it was better as it was before) - ([fe5b2da](https://github.com/DroidWorksStudio/mLauncher/commit/fe5b2daa669d69fa20fbd6dbde31ebb5d38e8b78))
- Revert "fix: move 'backToHomeScreen()' to onResume to not show home shortly before opening an app" - ([b90dbfa](https://github.com/DroidWorksStudio/mLauncher/commit/b90dbfa6c29e2453f6151d6cfde12b111f4a68ed))
- Revert "Change App icon" - ([d19b33f](https://github.com/DroidWorksStudio/mLauncher/commit/d19b33fcf676be0d6bfe5f787ef9608613ba16dd))

### Releases:

- Version number - ([3c082e4](https://github.com/DroidWorksStudio/mLauncher/commit/3c082e45c4d95afacdc5a2e259d073ea33c70328))

<!-- Generated by DroidWorks Studio -->
